Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

glorious funtoo updates

merged:

  funtoo-overlay: ad2c2f6791c3f5d94a4bacefbda76ad953d04a89
  foo-overlay: f7749549a67741868fbb3da8781e42cbac533fa7
  bar-overlay: f1e9085ee695ff5b6ce57d430d6b224aaf4fa0a6
  flora: b22e1805524bc8ed122ae4c2ea41593f9c6cec62
  mythtv: 232ca207c520eb294db060a770aafd30ffa25afb
  • Loading branch information...
commit 1d5df00b6b93cbc9136811c009626ed7e107d0f1 1 parent e90decf
@danielrobbins danielrobbins authored
Showing with 4,110 additions and 2,769 deletions.
  1. +2 −2 app-admin/eselect-sh/eselect-sh-0.4.ebuild
  2. +1 −0  app-admin/hwreport/Manifest
  3. +30 −0 app-admin/hwreport/hwreport-0.11.0.ebuild
  4. +0 −5 app-crypt/gnupg/Manifest
  5. +0 −144 app-crypt/gnupg/gnupg-1.4.11.ebuild
  6. +0 −144 app-crypt/gnupg/gnupg-1.4.12.ebuild
  7. +2 −2 app-crypt/gnupg/gnupg-1.4.13.ebuild
  8. +0 −144 app-crypt/gnupg/gnupg-2.0.17-r2.ebuild
  9. +0 −145 app-crypt/gnupg/gnupg-2.0.17-r3.ebuild
  10. +0 −143 app-crypt/gnupg/gnupg-2.0.17.ebuild
  11. +0 −148 app-crypt/gnupg/gnupg-2.0.18.ebuild
  12. +0 −9 app-crypt/gnupg/metadata.xml
  13. +1 −2  app-emacs/mew/Manifest
  14. +0 −48 app-emacs/mew/mew-6.2.ebuild
  15. +15 −16 app-emacs/mew/{mew-6.3.ebuild → mew-6.5.ebuild}
  16. +1 −0  app-forensics/libewf/Manifest
  17. +48 −0 app-forensics/libewf/libewf-20121209-r1.ebuild
  18. +48 −0 app-forensics/libewf/libewf-20130105.ebuild
  19. +2 −0  app-forensics/libewf/metadata.xml
  20. +2 −2 app-misc/mc/mc-4.8.7.ebuild
  21. +20 −0 app-misc/wyrd/files/ocaml4.patch
  22. +9 −2 app-misc/wyrd/wyrd-1.4.5.ebuild
  23. +1 −2  app-office/geierlein/Manifest
  24. +0 −26 app-office/geierlein/geierlein-0.3.4.ebuild
  25. +4 −4 app-office/geierlein/{geierlein-0.4.0.ebuild → geierlein-0.4.2.ebuild}
  26. +1 −0  app-office/lyx/Manifest
  27. +178 −0 app-office/lyx/lyx-2.0.5.1.ebuild
  28. +1 −0  app-portage/fquery/Manifest
  29. +27 −0 app-portage/fquery/fquery-0.2.1.4.ebuild
  30. +11 −0 app-portage/fquery/metadata.xml
  31. +1 −0  app-text/xmlstarlet/Manifest
  32. +40 −0 app-text/xmlstarlet/xmlstarlet-1.4.2.ebuild
  33. +1 −0  app-vim/bash-support/Manifest
  34. +22 −0 app-vim/bash-support/bash-support-3.12.ebuild
  35. +1 −0  app-vim/c-support/Manifest
  36. +22 −0 app-vim/c-support/c-support-6.0.ebuild
  37. +1 −0  app-vim/sleuth/Manifest
  38. +5 −0 app-vim/sleuth/metadata.xml
  39. +15 −0 app-vim/sleuth/sleuth-1.0.ebuild
  40. +1 −0  app-vim/voom/Manifest
  41. +5 −0 app-vim/voom/metadata.xml
  42. +17 −0 app-vim/voom/voom-4.6.ebuild
  43. +2 −2 dev-embedded/bitbake/bitbake-1.17.0.ebuild
  44. +2 −2 dev-embedded/bitbake/bitbake-9999.ebuild
  45. +39 −0 dev-haskell/network/files/network-2.4.0.1-fix-ppc64.patch
  46. +5 −3 dev-haskell/network/network-2.4.0.1.ebuild
  47. +1 −1  dev-lang/libcilkrts/Manifest
  48. +0 −11 dev-lang/libcilkrts/files/libcilkrts-2546-build.patch
  49. +18 −0 dev-lang/libcilkrts/files/libcilkrts-2856-flags.patch
  50. +7 −7 dev-lang/libcilkrts/{libcilkrts-2546.ebuild → libcilkrts-2856.ebuild}
  51. +2 −3 dev-lang/tk/tk-8.6.0.ebuild
  52. +0 −226 dev-libs/glib/glib-2.32.4.ebuild
  53. +1 −0  dev-libs/serd/Manifest
  54. +38 −0 dev-libs/serd/serd-0.18.2.ebuild
  55. +1 −0  dev-ml/eliom/Manifest
  56. +61 −0 dev-ml/eliom/eliom-3.0.3.ebuild
  57. +1 −0  dev-ml/lwt/Manifest
  58. +37 −0 dev-ml/lwt/lwt-2.4.3.ebuild
  59. +1 −0  dev-ml/ocamlnet/Manifest
  60. +75 −0 dev-ml/ocamlnet/ocamlnet-3.6.2.ebuild
  61. +1 −0  dev-ml/tyxml/Manifest
  62. +46 −0 dev-ml/tyxml/tyxml-2.2.0.ebuild
  63. +36 −7 dev-python/Djblets/Djblets-0.6.22.ebuild
  64. +77 −0 dev-python/Djblets/files/sample.rss
  65. +7 −14 dev-python/django-evolution/django-evolution-0.6.7-r1.ebuild
  66. +26 −0 dev-python/pry/pry-0.2.1-r1.ebuild
  67. +0 −41 dev-python/pry/pry-0.2.1.ebuild
  68. +16 −12 dev-python/simples3/simples3-1.0.ebuild
  69. +1 −0  dev-python/testify/Manifest
  70. +41 −0 dev-python/testify/testify-0.2.9.ebuild
  71. +1 −2  games-board/pychess/pychess-0.10.1-r1.ebuild
  72. +19 −0 licenses/Old-MIT
  73. +0 −21 licenses/petrify
  74. +5 −6 media-libs/cogl/cogl-1.12.2.ebuild
  75. +1 −0  media-libs/gst-plugins-base/Manifest
  76. +86 −0 media-libs/gst-plugins-base/gst-plugins-base-1.0.5.ebuild
  77. +1 −0  media-libs/gstreamer/Manifest
  78. +68 −0 media-libs/gstreamer/gstreamer-1.0.5.ebuild
  79. +1 −1  media-libs/harfbuzz/Manifest
  80. +2 −2 media-libs/harfbuzz/harfbuzz-0.9.10.ebuild
  81. +2 −4 media-libs/harfbuzz/{harfbuzz-0.9.9.ebuild → harfbuzz-0.9.11.ebuild}
  82. +2 −2 media-libs/harfbuzz/harfbuzz-9999.ebuild
  83. +1 −0  media-libs/suil/Manifest
  84. +39 −0 media-libs/suil/suil-0.6.10.ebuild
  85. +1 −0  media-plugins/gst-plugins-cdparanoia/Manifest
  86. +17 −0 media-plugins/gst-plugins-cdparanoia/gst-plugins-cdparanoia-1.0.5.ebuild
  87. +1 −0  media-plugins/gst-plugins-libvisual/Manifest
  88. +20 −0 media-plugins/gst-plugins-libvisual/gst-plugins-libvisual-1.0.5.ebuild
  89. +1 −2  media-sound/abcm2ps/Manifest
  90. +0 −44 media-sound/abcm2ps/abcm2ps-6.6.21.ebuild
  91. +2 −2 media-sound/abcm2ps/{abcm2ps-7.3.0.ebuild → abcm2ps-7.3.4.ebuild}
  92. +1 −3 media-sound/abcmidi/Manifest
  93. +0 −38 media-sound/abcmidi/abcmidi-2012.08.08.ebuild
  94. +0 −38 media-sound/abcmidi/abcmidi-2012.12.01.ebuild
  95. +4 −4 media-sound/abcmidi/{abcmidi-2012.11.23.ebuild → abcmidi-2012.12.25.ebuild}
  96. +8 −1 media-sound/amarok/amarok-2.6.90.ebuild
  97. +34 −0 media-sound/amarok/files/amarok-2.6.90-fix-crash-lastfm.patch
  98. +2 −0  media-sound/lilypond/Manifest
  99. +104 −0 media-sound/lilypond/lilypond-2.16.2.ebuild
  100. +104 −0 media-sound/lilypond/lilypond-2.17.10.ebuild
  101. +11 −13 media-sound/lilypond/lilypond-9999.ebuild
  102. +1 −0  media-sound/mpd/Manifest
  103. +190 −0 media-sound/mpd/mpd-0.17.3.ebuild
  104. +0 −3  media-sound/mpg123/Manifest
  105. +0 −68 media-sound/mpg123/mpg123-1.13.2.ebuild
  106. +0 −71 media-sound/mpg123/mpg123-1.14.2.ebuild
  107. +0 −74 media-sound/mpg123/mpg123-1.14.3.ebuild
  108. +1 −0  media-sound/opus-tools/Manifest
  109. +1 −4 media-sound/opus-tools/metadata.xml
  110. +46 −0 media-sound/opus-tools/opus-tools-0.1.6.ebuild
  111. +0 −4 media-sound/picard/Manifest
  112. +0 −1  media-sound/picard/metadata.xml
  113. +0 −98 media-sound/picard/picard-0.15.1-r1.ebuild
  114. +0 −98 media-sound/picard/picard-0.16.ebuild
  115. +0 −81 media-sound/picard/picard-1.0.ebuild
  116. +1 −0  media-sound/qtractor/Manifest
  117. +54 −0 media-sound/qtractor/qtractor-0.5.7.ebuild
  118. +1 −0  media-sound/rosegarden/Manifest
  119. +18 −0 media-sound/rosegarden/files/rosegarden-12.12.25-debug.patch
  120. +68 −0 media-sound/rosegarden/rosegarden-12.12.25.ebuild
  121. +0 −1  media-sound/yoshimi/Manifest
  122. +0 −40 media-sound/yoshimi/files/yoshimi-0.060.12-desktop.patch
  123. +0 −41 media-sound/yoshimi/yoshimi-0.060.12.ebuild
  124. +1 −0  media-video/ffmpeg/Manifest
  125. +302 −0 media-video/ffmpeg/ffmpeg-1.1.ebuild
  126. +13 −9 media-video/ffmpeg/ffmpeg-9999.ebuild
  127. +1 −1  metadata/dtd/timestamp.chk
  128. +1 −1  metadata/glsa/timestamp.chk
  129. +2 −2 metadata/md5-cache/app-admin/eselect-sh-0.4
  130. +11 −0 metadata/md5-cache/app-admin/hwreport-0.11.0
  131. +0 −13 metadata/md5-cache/app-crypt/gnupg-1.4.11
  132. +0 −13 metadata/md5-cache/app-crypt/gnupg-1.4.12
  133. +2 −2 metadata/md5-cache/app-crypt/gnupg-1.4.13
  134. +0 −13 metadata/md5-cache/app-crypt/gnupg-2.0.17
  135. +0 −14 metadata/md5-cache/app-crypt/gnupg-2.0.17-r2
  136. +0 −14 metadata/md5-cache/app-crypt/gnupg-2.0.17-r3
  137. +0 −14 metadata/md5-cache/app-crypt/gnupg-2.0.18
  138. +0 −13 metadata/md5-cache/app-emacs/mew-6.2
  139. +5 −4 metadata/md5-cache/app-emacs/{mew-6.3 → mew-6.5}
  140. +13 −0 metadata/md5-cache/app-forensics/libewf-20121209-r1
  141. +13 −0 metadata/md5-cache/app-forensics/libewf-20130105
  142. +2 −2 metadata/md5-cache/app-misc/mc-4.8.7
  143. +4 −3 metadata/md5-cache/app-misc/wyrd-1.4.5
  144. +0 −11 metadata/md5-cache/app-office/geierlein-0.3.4
  145. +3 −3 metadata/md5-cache/app-office/{geierlein-0.4.0 → geierlein-0.4.2}
  146. +13 −0 metadata/md5-cache/app-office/lyx-2.0.5.1
  147. +11 −0 metadata/md5-cache/app-portage/fquery-0.2.1.4
  148. +11 −0 metadata/md5-cache/app-text/xmlstarlet-1.4.2
  149. +12 −0 metadata/md5-cache/app-vim/bash-support-3.12
  150. +12 −0 metadata/md5-cache/app-vim/c-support-6.0
  151. +12 −0 metadata/md5-cache/app-vim/sleuth-1.0
  152. +12 −0 metadata/md5-cache/app-vim/voom-4.6
  153. +3 −3 metadata/md5-cache/dev-embedded/bitbake-1.17.0
  154. +3 −3 metadata/md5-cache/dev-embedded/bitbake-9999
  155. +3 −3 metadata/md5-cache/dev-haskell/network-2.4.0.1
  156. +5 −5 metadata/md5-cache/dev-lang/{libcilkrts-2546 → libcilkrts-2856}
  157. +1 −1  metadata/md5-cache/dev-lang/tk-8.6.0
  158. +0 −14 metadata/md5-cache/dev-libs/glib-2.32.4
  159. +12 −0 metadata/md5-cache/dev-libs/serd-0.18.2
  160. +13 −0 metadata/md5-cache/dev-ml/eliom-3.0.3
  161. +13 −0 metadata/md5-cache/dev-ml/lwt-2.4.3
  162. +14 −0 metadata/md5-cache/dev-ml/ocamlnet-3.6.2
  163. +13 −0 metadata/md5-cache/dev-ml/tyxml-2.2.0
  164. +4 −4 metadata/md5-cache/dev-python/Djblets-0.6.22
  165. +1 −1  metadata/md5-cache/dev-python/django-evolution-0.6.7-r1
  166. +0 −13 metadata/md5-cache/dev-python/pry-0.2.1
  167. +13 −0 metadata/md5-cache/dev-python/pry-0.2.1-r1
  168. +8 −8 metadata/md5-cache/dev-python/simples3-1.0
  169. +13 −0 metadata/md5-cache/dev-python/testify-0.2.9
  170. +1 −1  metadata/md5-cache/games-board/pychess-0.10.1-r1
  171. +2 −2 metadata/md5-cache/media-libs/cogl-1.12.2
  172. +14 −0 metadata/md5-cache/media-libs/gst-plugins-base-1.0.5
  173. +13 −0 metadata/md5-cache/media-libs/gstreamer-1.0.5
  174. +2 −2 metadata/md5-cache/media-libs/harfbuzz-0.9.10
  175. +3 −3 metadata/md5-cache/media-libs/{harfbuzz-0.9.9 → harfbuzz-0.9.11}
  176. +2 −2 metadata/md5-cache/media-libs/harfbuzz-9999
  177. +13 −0 metadata/md5-cache/media-libs/suil-0.6.10
  178. +13 −0 metadata/md5-cache/media-plugins/gst-plugins-cdparanoia-1.0.5
  179. +13 −0 metadata/md5-cache/media-plugins/gst-plugins-libvisual-1.0.5
  180. +0 −12 metadata/md5-cache/media-sound/abcm2ps-6.6.21
  181. +2 −2 metadata/md5-cache/media-sound/{abcm2ps-7.3.0 → abcm2ps-7.3.4}
  182. +0 −12 metadata/md5-cache/media-sound/abcmidi-2012.08.08
  183. +0 −12 metadata/md5-cache/media-sound/abcmidi-2012.11.23
  184. +2 −2 metadata/md5-cache/media-sound/{abcmidi-2012.12.01 → abcmidi-2012.12.25}
  185. +1 −1  metadata/md5-cache/media-sound/amarok-2.6.90
  186. +14 −0 metadata/md5-cache/media-sound/lilypond-2.16.2
  187. +14 −0 metadata/md5-cache/media-sound/lilypond-2.17.10
  188. +6 −6 metadata/md5-cache/media-sound/lilypond-9999
  189. +14 −0 metadata/md5-cache/media-sound/mpd-0.17.3
  190. +0 −13 metadata/md5-cache/media-sound/mpg123-1.13.2
  191. +0 −13 metadata/md5-cache/media-sound/mpg123-1.14.2
  192. +0 −13 metadata/md5-cache/media-sound/mpg123-1.14.3
  193. +12 −0 metadata/md5-cache/media-sound/opus-tools-0.1.6
  194. +0 −14 metadata/md5-cache/media-sound/picard-0.15.1-r1
  195. +0 −14 metadata/md5-cache/media-sound/picard-0.16
  196. +0 −14 metadata/md5-cache/media-sound/picard-1.0
  197. +13 −0 metadata/md5-cache/media-sound/qtractor-0.5.7
  198. +13 −0 metadata/md5-cache/media-sound/rosegarden-12.12.25
  199. +0 −12 metadata/md5-cache/media-sound/yoshimi-0.060.12
  200. +14 −0 metadata/md5-cache/media-video/ffmpeg-1.1
  201. +2 −2 metadata/md5-cache/media-video/ffmpeg-9999
  202. +14 −0 metadata/md5-cache/net-analyzer/icinga-1.8.3-r1
  203. +2 −2 metadata/md5-cache/net-analyzer/iptstate-2.2.3
  204. +13 −0 metadata/md5-cache/net-im/turses-0.2.10
  205. +1 −1  metadata/md5-cache/net-nds/openldap-2.3.43-r1
  206. +13 −0 metadata/md5-cache/net-nds/openldap-2.3.43-r2
  207. +3 −3 metadata/md5-cache/net-nds/openldap-2.4.19-r1
  208. +3 −3 metadata/md5-cache/net-nds/openldap-2.4.21
  209. +3 −3 metadata/md5-cache/net-nds/openldap-2.4.23
  210. +3 −3 metadata/md5-cache/net-nds/openldap-2.4.24
  211. +3 −3 metadata/md5-cache/net-nds/openldap-2.4.25
  212. +3 −3 metadata/md5-cache/net-nds/openldap-2.4.25-r1
  213. +3 −3 metadata/md5-cache/net-nds/openldap-2.4.28
  214. +3 −3 metadata/md5-cache/net-nds/openldap-2.4.28-r1
  215. +3 −3 metadata/md5-cache/net-nds/openldap-2.4.30
  216. +3 −3 metadata/md5-cache/net-nds/openldap-2.4.31
  217. +3 −3 metadata/md5-cache/net-nds/openldap-2.4.31-r1
  218. +3 −3 metadata/md5-cache/net-nds/openldap-2.4.32
  219. +3 −3 metadata/md5-cache/net-nds/openldap-2.4.33
  220. +3 −3 metadata/md5-cache/net-nds/openldap-2.4.33-r1
  221. +3 −3 metadata/md5-cache/net-p2p/bitcoin-qt-0.5.6_rc2
  222. +3 −3 metadata/md5-cache/net-p2p/bitcoin-qt-0.5.7_rc3
  223. +3 −3 metadata/md5-cache/net-p2p/bitcoin-qt-0.5.7_rc4
  224. +3 −3 metadata/md5-cache/net-p2p/bitcoin-qt-0.6.0.10_rc3
  225. +3 −3 metadata/md5-cache/net-p2p/bitcoin-qt-0.6.0.10_rc4
  226. +3 −3 metadata/md5-cache/net-p2p/bitcoin-qt-0.6.3
  227. +3 −3 metadata/md5-cache/net-p2p/bitcoin-qt-0.6.4_rc4-r1
  228. +3 −3 metadata/md5-cache/net-p2p/bitcoind-0.4.8_rc3
  229. +3 −3 metadata/md5-cache/net-p2p/bitcoind-0.4.8_rc4
  230. +3 −3 metadata/md5-cache/net-p2p/bitcoind-0.5.6_rc2
  231. +3 −3 metadata/md5-cache/net-p2p/bitcoind-0.5.7_rc3
  232. +3 −3 metadata/md5-cache/net-p2p/bitcoind-0.5.7_rc4
  233. +3 −3 metadata/md5-cache/net-p2p/bitcoind-0.6.0.10_rc3
  234. +3 −3 metadata/md5-cache/net-p2p/bitcoind-0.6.0.10_rc4
  235. +3 −3 metadata/md5-cache/net-p2p/bitcoind-0.6.3
  236. +3 −3 metadata/md5-cache/net-p2p/bitcoind-0.6.4_rc4-r1
  237. +2 −2 metadata/md5-cache/net-proxy/obfsproxy-0.1.4
  238. +2 −2 metadata/md5-cache/sci-electronics/petrify-4.2
  239. +2 −2 metadata/md5-cache/sys-firmware/ipxe-1.0.0_p20120905
  240. +13 −0 metadata/md5-cache/sys-libs/freeipmi-1.2.4
  241. +1 −1  metadata/md5-cache/www-client/chromium-25.0.1364.26
  242. +15 −0 metadata/md5-cache/www-servers/ocsigenserver-2.2.0
  243. +1 −1  metadata/news/timestamp.chk
  244. +1 −1  metadata/timestamp
  245. +1 −1  metadata/timestamp.chk
  246. +1 −1  metadata/timestamp.x
  247. +247 −0 net-analyzer/icinga/icinga-1.8.3-r1.ebuild
  248. +3 −3 net-analyzer/iptstate/iptstate-2.2.3.ebuild
  249. +1 −1  net-ftp/proftpd/Manifest
  250. +3 −3 net-ftp/proftpd/files/proftpd.initd
  251. +1 −0  net-im/turses/Manifest
  252. +36 −0 net-im/turses/turses-0.2.10.ebuild
  253. +7 −2 net-nds/openldap/files/slapd-initd
  254. +2 −2 net-nds/openldap/openldap-2.3.43-r1.ebuild
  255. +540 −0 net-nds/openldap/openldap-2.3.43-r2.ebuild
  256. +3 −3 net-nds/openldap/openldap-2.4.19-r1.ebuild
  257. +3 −3 net-nds/openldap/openldap-2.4.21.ebuild
  258. +3 −3 net-nds/openldap/openldap-2.4.23.ebuild
  259. +3 −3 net-nds/openldap/openldap-2.4.24.ebuild
  260. +3 −3 net-nds/openldap/openldap-2.4.25-r1.ebuild
  261. +3 −3 net-nds/openldap/openldap-2.4.25.ebuild
  262. +3 −3 net-nds/openldap/openldap-2.4.28-r1.ebuild
  263. +3 −3 net-nds/openldap/openldap-2.4.28.ebuild
  264. +3 −3 net-nds/openldap/openldap-2.4.30.ebuild
  265. +3 −3 net-nds/openldap/openldap-2.4.31-r1.ebuild
  266. +3 −3 net-nds/openldap/openldap-2.4.31.ebuild
  267. +3 −3 net-nds/openldap/openldap-2.4.32.ebuild
  268. +3 −3 net-nds/openldap/openldap-2.4.33-r1.ebuild
  269. +3 −3 net-nds/openldap/openldap-2.4.33.ebuild
  270. +3 −10 net-p2p/bitcoin-qt/bitcoin-qt-0.5.6_rc2.ebuild
  271. +3 −10 net-p2p/bitcoin-qt/bitcoin-qt-0.5.7_rc3.ebuild
  272. +3 −10 net-p2p/bitcoin-qt/bitcoin-qt-0.5.7_rc4.ebuild
  273. +3 −10 net-p2p/bitcoin-qt/bitcoin-qt-0.6.0.10_rc3.ebuild
  274. +3 −10 net-p2p/bitcoin-qt/bitcoin-qt-0.6.0.10_rc4.ebuild
  275. +3 −10 net-p2p/bitcoin-qt/bitcoin-qt-0.6.3.ebuild
  276. +3 −10 net-p2p/bitcoin-qt/bitcoin-qt-0.6.4_rc4-r1.ebuild
  277. +3 −11 net-p2p/bitcoind/bitcoind-0.4.8_rc3.ebuild
  278. +3 −11 net-p2p/bitcoind/bitcoind-0.4.8_rc4.ebuild
  279. +3 −11 net-p2p/bitcoind/bitcoind-0.5.6_rc2.ebuild
  280. +3 −11 net-p2p/bitcoind/bitcoind-0.5.7_rc3.ebuild
  281. +3 −11 net-p2p/bitcoind/bitcoind-0.5.7_rc4.ebuild
  282. +3 −11 net-p2p/bitcoind/bitcoind-0.6.0.10_rc3.ebuild
  283. +3 −11 net-p2p/bitcoind/bitcoind-0.6.0.10_rc4.ebuild
  284. +3 −11 net-p2p/bitcoind/bitcoind-0.6.3.ebuild
  285. +3 −11 net-p2p/bitcoind/bitcoind-0.6.4_rc4-r1.ebuild
  286. +2 −2 net-proxy/obfsproxy/obfsproxy-0.1.4.ebuild
  287. +3 −2 profiles/base/package.use.mask
  288. +2 −2 profiles/license_groups
  289. +2 −4 profiles/use.local.desc
  290. +1 −1  sci-electronics/petrify/Manifest
  291. +7 −5 sci-electronics/petrify/petrify-4.2.ebuild
  292. +3 −3 sys-firmware/ipxe/ipxe-1.0.0_p20120905.ebuild
  293. +1 −0  sys-libs/freeipmi/Manifest
  294. +97 −0 sys-libs/freeipmi/freeipmi-1.2.4.ebuild
  295. +4 −1 www-client/chromium/chromium-25.0.1364.26.ebuild
  296. +52 −0 www-client/chromium/files/chromium-icu50-tests-r0.patch
  297. +1 −0  www-servers/ocsigenserver/Manifest
  298. +79 −0 www-servers/ocsigenserver/ocsigenserver-2.2.0.ebuild
View
4 app-admin/eselect-sh/eselect-sh-0.4.ebuild
@@ -1,11 +1,11 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect-sh/eselect-sh-0.4.ebuild,v 1.1 2013/01/13 14:32:21 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect-sh/eselect-sh-0.4.ebuild,v 1.2 2013/01/13 18:36:03 mgorny Exp $
EAPI=5
DESCRIPTION="Manages the /bin/sh (POSIX shell) symlink"
-HOMEPAGE="n/a"
+HOMEPAGE="http://www.gentoo.org/proj/en/eselect/"
SRC_URI=""
LICENSE="GPL-2"
View
1  app-admin/hwreport/Manifest
@@ -1 +1,2 @@
DIST hwreport-0.10.0.tar.bz2 11171 SHA256 34269554e3888a4a3486ab6290ce417ac3c4e38a2f12e5327900323e5c875567 SHA512 6c3793040258455cdab6aecca7f540c118dd7fb9b1441ea4daf46288d2c285db7ee13a0b9e455a4018f288fa7977583c4a626956ac4628e54606c66a684a891a WHIRLPOOL 12f04391e1fef9ad0e634000311dd0b0e8ed7ce8efe84862aea5e7f062688715ac754e238255d40fa24423d8d4c88664b2ca1f00991e08507759f51d4a0ab4d2
+DIST hwreport-0.11.0.tar.bz2 14337 SHA256 b4337f91b2e9d6d500bfc9af7e32f1966db4346ff9b2ad869d09500189555160 SHA512 591e76a9bd739da0b53eb39796f026b4bde75243cdbd5cbfc0774b4dfd067656108478f4a24ea7d5693ecd2acf3a11a11f617c9b187480bd963596d5fc5db3d9 WHIRLPOOL 4c22d1d45d44f0c6e9b9b629f3db7dbdaf971343fbe1f68a010cd34359b35c1141a1679e5a08cd7ef7304aeb66bab66f7de07efde18c359d476038d18fb78098
View
30 app-admin/hwreport/hwreport-0.11.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/hwreport/hwreport-0.11.0.ebuild,v 1.1 2013/01/13 22:15:51 fauli Exp $
+
+EAPI=5
+
+DESCRIPTION="Collect system informations for the hardware4linux.info site"
+HOMEPAGE="http://hardware4linux.info/"
+SRC_URI="http://hardware4linux.info/res/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE=""
+
+DEPEND="virtual/libusb:1"
+RDEPEND="${DEPEND}
+ >=sys-apps/dmidecode-2.8
+ >=sys-apps/pciutils-2.2.0"
+
+src_prepare() {
+ # fix syntax error
+ sed -e 's:perl -p -i -e "s@/var/lib/hwreport@$(vardir)@" -e "s@/usr/sbin@$(bindir)@" $(DESTDIR)$(crondir)/$(PKG):perl -p -i -e "s@/var/lib/hwreport@$(vardir)@;" -e "s@/usr/sbin@$(bindir)@" $(DESTDIR)$(crondir)/$(PKG):' -i "${S}"/Makefile
+ # respect LDFLAGS
+ sed -e 's:$(CFLAGS):$(CFLAGS) $(LDFLAGS):' -i Makefile
+}
+
+pkg_postinst() {
+ elog "You can now generate your reports and post them on ${HOMEPAGE}"
+}
View
5 app-crypt/gnupg/Manifest
@@ -1,7 +1,2 @@
-DIST gnupg-1.4.11.tar.bz2 3407075 SHA256 d18ceeac16e554a501170b9bfde611625252d0fe9448685a69c93bf149ee6ef6 SHA512 97e7b8b0f972cc2f7cabdb0e013cbee1c33e7d48407d040cca5c2037e32abe1c2100194be7d3b569d4f05eb16b24c205a5b83f06718f0241f8d4ee174f1c37ae WHIRLPOOL 6f914627e2f527f6616e1f99d2ae06942b734f839d03a45ffa45bf67516a81d58f89e6a85612cf8e5fd83be04ab0b6bc2da8f81114143dad7523e5fcea62366b
-DIST gnupg-1.4.12.tar.bz2 3584133 SHA256 4f03ca6902aaee79d0eda00eea0fefde7db9eb005d8ffd54fac9806bc24050ec SHA512 be917efddcb012b2d3155ec2353724a20093f9ce25e4dca3ac0f7f752502e9c505c7e7135c93a38dd7ad08934363c7c8bd1adad956d882843e563abe00992d1a WHIRLPOOL 2ec103d97794aff785b6c422c5d0f98365dc10b3b812de21f6e5b75b8e33635281aeb4a198c918f0fc5d3fb97c40d07603a53af97c7e40ca02b96c7bf18bb81d
DIST gnupg-1.4.13.tar.bz2 3685873 SHA256 72a24dd318472f0c8f0d00ebe19fb4bcf43e30845bcc92a8ae43c810df295d5a SHA512 62c330e02c311206c653cbadf21783599362601f4375ecb32a5bc8ff3f5c64160d95d28555fe06d7fb612c3802c87e0be1d0a68d61b404fdfcecf3580f14b738 WHIRLPOOL 4ae940bda2cc713a387541101df3ff06753c4f701d5d53460af7118278ce5d9b8cd83dd15ea033de5ac15ec6f4a0e339621a359497f4c178c25bbdcc38763d12
-DIST gnupg-2.0.17.tar.bz2 3997356 SHA256 ea649d5ecb2f97cc8d81c5796c6ad8d7d8581f9554241c39d2b11ab12139eea6 SHA512 cc46781e637038c5716656a8db8827cb63c71409ab4a57d1924654adaa086e4155c6f6a69b3bedc0c9c04070378099408e2b398115ac865b136bd658e46c6301 WHIRLPOOL e89eb6941c0aecfa25408391f79e0c189aecb98dbf23da89ef71bb6b94ddd5469f39ebe4b12628f480ff1f9b073ff8b3e47caaeda2eae6a4dc1a5f2214f523af
-DIST gnupg-2.0.18.tar.bz2 4016606 SHA256 48aedd762ca443fb952a9e859efe3c66706d7c2c9c77c32dbdbac4fe962dae5b SHA512 3a99f50f275f894983a21449c69bfe18615138febd0ccf13b02bc55789246b838e0cf09c19301c208a3d240bbbea69e02e736206702f2dd40e5af03964c0a378 WHIRLPOOL b99cf6d7d4613689051e4aaece86fdc0c79fe798f453340b463904ee1eb4555a2e43dd7e9f406e79f52e7bae5c39a4546da9f76a6482946c548ce4e025fb6401
DIST gnupg-2.0.19.tar.bz2 4187460 SHA256 efa23a8a925adb51c7d3b708c25b6d000300f5ce37de9bdec6453be7b419c622 SHA512 9bfc83ebca29ca8e3dde803ba494adb3c4e2fdcacbf33b5592764fe187dbe2433e04ff53734a9c3197358d559c1046098707089ddbea9fa63c849d48ce73ca51 WHIRLPOOL 026f9a8740322b951b256ec87fabb8a1b3ad2114208f52c2082b73b2193d1be8e276f0f526762bbebb04e612351162eb78c9c50eeb058e35fad9c4df1d7db540
-DIST idea.c.gz 5216 SHA256 309928da34941dff1d6f6687542ff3d58306d85be9e1a9906bc4f9f8e6011844 SHA512 c75eea965f8dbab8d0cdbe8f292d4cce6f274d10693b3cd022fab0ebc6cd13ad07e1d6ea17c5a34b9c34420f889020cb3ff5cf9674260322188300fe036c24d2 WHIRLPOOL 08c48600e662267ce8703e9671bc491e5d240700b1af24cd8383629368704cbb704cec4b0b81ae55b7ef3246a4752ea24e0bcdb3a4768171b55a669c9aa33a20
View
144 app-crypt/gnupg/gnupg-1.4.11.ebuild
@@ -1,144 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/gnupg/gnupg-1.4.11.ebuild,v 1.11 2012/05/13 11:34:57 swift Exp $
-
-EAPI="3"
-
-inherit eutils flag-o-matic toolchain-funcs
-
-ECCVER="0.2.0"
-ECCVER_GNUPG="1.4.9"
-ECC_PATCH="${PN}-${ECCVER_GNUPG}-ecc${ECCVER}.diff"
-MY_P=${P/_/}
-
-DESCRIPTION="The GNU Privacy Guard, a GPL pgp replacement"
-HOMEPAGE="http://www.gnupg.org/"
-SRC_URI="mirror://gnupg/gnupg/${P}.tar.bz2
- idea? ( mirror://gentoo/idea.c.gz )"
-# ecc? ( http://www.calcurco.cat/eccGnuPG/src/${ECC_PATCH}.bz2 )
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-macos"
-IUSE="bzip2 curl idea ldap nls readline selinux smartcard static usb zlib linguas_ru"
-#IUSE="bzip2 bindist curl ecc idea ldap nls readline selinux smartcard static usb zlib linguas_ru"
-
-COMMON_DEPEND="
- ldap? ( net-nds/openldap )
- bzip2? ( app-arch/bzip2 )
- zlib? ( sys-libs/zlib )
- curl? ( net-misc/curl )
- virtual/mta
- readline? ( sys-libs/readline )
- smartcard? ( =virtual/libusb-0* )
- usb? ( =virtual/libusb-0* )"
-
-RDEPEND="!static? ( ${COMMON_DEPEND} )
- selinux? ( sec-policy/selinux-gpg )
- nls? ( virtual/libintl )"
-
-DEPEND="${COMMON_DEPEND}
- dev-lang/perl
- nls? ( sys-devel/gettext )"
-
-S="${WORKDIR}/${MY_P}"
-
-src_prepare() {
- if use idea; then
- mv "${WORKDIR}"/idea.c "${S}"/cipher/idea.c || \
- ewarn "failed to insert IDEA module"
- fi
-
-# if use ecc; then
-# if use bindist; then
-# einfo "Skipping ECC patch to comply with binary distribution (bug #148907)."
-# else
-# sed -i \
-# "s/- VERSION='${ECCVER_GNUPG}'/- VERSION='${PV}'/" \
-# "${WORKDIR}/${ECC_PATCH}"
-# sed -i \
-# "s/+ VERSION='${ECCVER_GNUPG}-ecc${ECCVER}'/+ VERSION='${PV}-ecc${ECCVER}'/" \
-# "${WORKDIR}/${ECC_PATCH}"
-#
-# epatch "${WORKDIR}/${ECC_PATCH}"
-# fi
-# fi
-
- # Install RU man page in right location
- sed -e "/^man_MANS =/s/ gpg\.ru\.1//" -i doc/Makefile.in || die "sed doc/Makefile.in failed"
-
- # Fix PIC definitions
- sed -i -e 's:PIC:__PIC__:' mpi/i386/mpih-{add,sub}1.S intl/relocatable.c \
- || die "sed PIC failed"
- sed -i -e 's:if PIC:ifdef __PIC__:' mpi/sparc32v8/mpih-mul{1,2}.S || \
- die"Sed PIC failed"
-}
-
-src_configure() {
- # Certain sparc32 machines seem to have trouble building correctly with
- # -mcpu enabled. While this is not a gnupg problem, it is a temporary
- # fix until the gcc problem can be tracked down.
- if [ "${ARCH}" == "sparc" ] && [ "${PROFILE_ARCH}" == "sparc" ]; then
- filter-flags -mcpu=supersparc -mcpu=v8 -mcpu=v7
- fi
-
- # 'USE=static' support was requested in #29299
- use static &&append-ldflags -static
-
- econf \
- --docdir="${EPREFIX}/usr/share/doc/${PF}" \
- $(use_enable ldap) \
- --enable-mailto \
- --enable-hkp \
- --enable-finger \
- $(use_with !zlib included-zlib) \
- $(use_with curl libcurl /usr) \
- $(use_enable nls) \
- $(use_enable bzip2) \
- $(use_enable smartcard card-support) \
- $(use_enable selinux selinux-support) \
- --without-capabilities \
- $(use_with readline) \
- $(use_with usb libusb /usr) \
- --enable-static-rnd=linux \
- --libexecdir="${EPREFIX}/usr/libexec" \
- --enable-noexecstack \
- CC_FOR_BUILD=$(tc-getBUILD_CC) \
- ${myconf}
-}
-
-src_install() {
- emake DESTDIR="${D}" install || die "emake install failed"
-
- # keep the documentation in /usr/share/doc/...
- rm -rf "${ED}usr/share/gnupg/FAQ" "${ED}usr/share/gnupg/faq.html" || die
-
- dodoc AUTHORS BUGS ChangeLog NEWS PROJECTS README THANKS \
- TODO VERSION doc/{FAQ,HACKING,DETAILS,OpenPGP} || die
-
- exeinto /usr/libexec/gnupg
- doexe tools/make-dns-cert || die
-
- # install RU documentation in right location
- if use linguas_ru; then
- cp doc/gpg.ru.1 "${T}/gpg.1" || die
- doman -i18n=ru "${T}/gpg.1" || die
- fi
-}
-
-pkg_postinst() {
- ewarn "If you are using a non-Linux system, or a kernel older than 2.6.9,"
- ewarn "you MUST make the gpg binary setuid."
- echo
-# if use !bindist && use ecc; then
-# ewarn
-# ewarn "The elliptical curves patch is experimental"
-# ewarn "Further info available at http://alumnes.eps.udl.es/%7Ed4372211/index.en.html"
-# fi
- elog
- elog "See http://www.gentoo.org/doc/en/gnupg-user.xml for documentation on gnupg"
- elog
- elog "If you wish to view images emerge:"
- elog "media-gfx/xloadimage, media-gfx/xli or any other viewer"
- elog "Remember to use photo-viewer option in configuration file to activate the right viewer"
-}
View
144 app-crypt/gnupg/gnupg-1.4.12.ebuild
@@ -1,144 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/gnupg/gnupg-1.4.12.ebuild,v 1.2 2012/05/13 11:34:57 swift Exp $
-
-EAPI="3"
-
-inherit eutils flag-o-matic toolchain-funcs
-
-ECCVER="0.2.0"
-ECCVER_GNUPG="1.4.9"
-ECC_PATCH="${PN}-${ECCVER_GNUPG}-ecc${ECCVER}.diff"
-MY_P=${P/_/}
-
-DESCRIPTION="The GNU Privacy Guard, a GPL pgp replacement"
-HOMEPAGE="http://www.gnupg.org/"
-SRC_URI="mirror://gnupg/gnupg/${P}.tar.bz2
- idea? ( mirror://gentoo/idea.c.gz )"
-# ecc? ( http://www.calcurco.cat/eccGnuPG/src/${ECC_PATCH}.bz2 )
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-macos"
-IUSE="bzip2 curl idea ldap nls readline selinux smartcard static usb zlib linguas_ru"
-#IUSE="bzip2 bindist curl ecc idea ldap nls readline selinux smartcard static usb zlib linguas_ru"
-
-COMMON_DEPEND="
- ldap? ( net-nds/openldap )
- bzip2? ( app-arch/bzip2 )
- zlib? ( sys-libs/zlib )
- curl? ( net-misc/curl )
- virtual/mta
- readline? ( sys-libs/readline )
- smartcard? ( =virtual/libusb-0* )
- usb? ( =virtual/libusb-0* )"
-
-RDEPEND="!static? ( ${COMMON_DEPEND} )
- selinux? ( sec-policy/selinux-gpg )
- nls? ( virtual/libintl )"
-
-DEPEND="${COMMON_DEPEND}
- dev-lang/perl
- nls? ( sys-devel/gettext )"
-
-S="${WORKDIR}/${MY_P}"
-
-src_prepare() {
- if use idea; then
- mv "${WORKDIR}"/idea.c "${S}"/cipher/idea.c || \
- ewarn "failed to insert IDEA module"
- fi
-
-# if use ecc; then
-# if use bindist; then
-# einfo "Skipping ECC patch to comply with binary distribution (bug #148907)."
-# else
-# sed -i \
-# "s/- VERSION='${ECCVER_GNUPG}'/- VERSION='${PV}'/" \
-# "${WORKDIR}/${ECC_PATCH}"
-# sed -i \
-# "s/+ VERSION='${ECCVER_GNUPG}-ecc${ECCVER}'/+ VERSION='${PV}-ecc${ECCVER}'/" \
-# "${WORKDIR}/${ECC_PATCH}"
-#
-# epatch "${WORKDIR}/${ECC_PATCH}"
-# fi
-# fi
-
- # Install RU man page in right location
- sed -e "/^man_MANS =/s/ gpg\.ru\.1//" -i doc/Makefile.in || die "sed doc/Makefile.in failed"
-
- # Fix PIC definitions
- sed -i -e 's:PIC:__PIC__:' mpi/i386/mpih-{add,sub}1.S intl/relocatable.c \
- || die "sed PIC failed"
- sed -i -e 's:if PIC:ifdef __PIC__:' mpi/sparc32v8/mpih-mul{1,2}.S || \
- die"Sed PIC failed"
-}
-
-src_configure() {
- # Certain sparc32 machines seem to have trouble building correctly with
- # -mcpu enabled. While this is not a gnupg problem, it is a temporary
- # fix until the gcc problem can be tracked down.
- if [ "${ARCH}" == "sparc" ] && [ "${PROFILE_ARCH}" == "sparc" ]; then
- filter-flags -mcpu=supersparc -mcpu=v8 -mcpu=v7
- fi
-
- # 'USE=static' support was requested in #29299
- use static &&append-ldflags -static
-
- econf \
- --docdir="${EPREFIX}/usr/share/doc/${PF}" \
- $(use_enable ldap) \
- --enable-mailto \
- --enable-hkp \
- --enable-finger \
- $(use_with !zlib included-zlib) \
- $(use_with curl libcurl /usr) \
- $(use_enable nls) \
- $(use_enable bzip2) \
- $(use_enable smartcard card-support) \
- $(use_enable selinux selinux-support) \
- --without-capabilities \
- $(use_with readline) \
- $(use_with usb libusb /usr) \
- --enable-static-rnd=linux \
- --libexecdir="${EPREFIX}/usr/libexec" \
- --enable-noexecstack \
- CC_FOR_BUILD=$(tc-getBUILD_CC) \
- ${myconf}
-}
-
-src_install() {
- emake DESTDIR="${D}" install || die "emake install failed"
-
- # keep the documentation in /usr/share/doc/...
- rm -rf "${ED}usr/share/gnupg/FAQ" "${ED}usr/share/gnupg/faq.html" || die
-
- dodoc AUTHORS BUGS ChangeLog NEWS PROJECTS README THANKS \
- TODO VERSION doc/{FAQ,HACKING,DETAILS,OpenPGP} || die
-
- exeinto /usr/libexec/gnupg
- doexe tools/make-dns-cert || die
-
- # install RU documentation in right location
- if use linguas_ru; then
- cp doc/gpg.ru.1 "${T}/gpg.1" || die
- doman -i18n=ru "${T}/gpg.1" || die
- fi
-}
-
-pkg_postinst() {
- ewarn "If you are using a non-Linux system, or a kernel older than 2.6.9,"
- ewarn "you MUST make the gpg binary setuid."
- echo
-# if use !bindist && use ecc; then
-# ewarn
-# ewarn "The elliptical curves patch is experimental"
-# ewarn "Further info available at http://alumnes.eps.udl.es/%7Ed4372211/index.en.html"
-# fi
- elog
- elog "See http://www.gentoo.org/doc/en/gnupg-user.xml for documentation on gnupg"
- elog
- elog "If you wish to view images emerge:"
- elog "media-gfx/xloadimage, media-gfx/xli or any other viewer"
- elog "Remember to use photo-viewer option in configuration file to activate the right viewer"
-}
View
4 app-crypt/gnupg/gnupg-1.4.13.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/gnupg/gnupg-1.4.13.ebuild,v 1.10 2013/01/07 22:23:33 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/gnupg/gnupg-1.4.13.ebuild,v 1.11 2013/01/13 19:33:20 armin76 Exp $
EAPI="4"
@@ -18,7 +18,7 @@ SRC_URI="mirror://gnupg/gnupg/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-macos"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-macos"
IUSE="bzip2 curl ldap nls readline selinux smartcard static usb zlib linguas_ru"
#IUSE="bzip2 bindist curl ecc ldap nls readline selinux smartcard static usb zlib linguas_ru"
View
144 app-crypt/gnupg/gnupg-2.0.17-r2.ebuild
@@ -1,144 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/gnupg/gnupg-2.0.17-r2.ebuild,v 1.5 2012/05/31 03:13:18 zmedico Exp $
-
-EAPI="4"
-
-inherit eutils flag-o-matic toolchain-funcs
-
-DESCRIPTION="The GNU Privacy Guard, a GPL pgp replacement"
-HOMEPAGE="http://www.gnupg.org/"
-SRC_URI="mirror://gnupg/gnupg/${P}.tar.bz2"
-# SRC_URI="ftp://ftp.gnupg.org/gcrypt/${PN}/${P}.tar.bz2"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="adns bzip2 doc ldap nls static selinux smartcard usb"
-
-COMMON_DEPEND_LIBS="
- >=dev-libs/libassuan-2
- >=dev-libs/libgcrypt-1.4
- >=dev-libs/libgpg-error-1.7
- >=dev-libs/libksba-1.0.7
- >=dev-libs/pth-1.3.7
- >=net-misc/curl-7.10
- sys-libs/zlib
- adns? ( >=net-libs/adns-1.4 )
- bzip2? ( app-arch/bzip2 )
- smartcard? ( usb? ( =virtual/libusb-0* ) )
- ldap? ( net-nds/openldap )"
-COMMON_DEPEND_BINS="|| ( app-crypt/pinentry app-crypt/pinentry-qt )"
-
-# Existence of executables is checked during configuration.
-DEPEND="${COMMON_DEPEND_LIBS}
- ${COMMON_DEPEND_BINS}
- static? (
- >=dev-libs/libassuan-2[static-libs]
- >=dev-libs/libgcrypt-1.4[static-libs]
- >=dev-libs/libgpg-error-1.7[static-libs]
- >=dev-libs/libksba-1.0.7[static-libs]
- )
- nls? ( sys-devel/gettext )
- doc? ( sys-apps/texinfo )"
-
-RDEPEND="!static? ( ${COMMON_DEPEND_LIBS} )
- ${COMMON_DEPEND_BINS}
- virtual/mta
- !app-crypt/gpg-agent
- !<=app-crypt/gnupg-2.0.1
- selinux? ( sec-policy/selinux-gpg )
- nls? ( virtual/libintl )"
-
-REQUIRED_USE="smartcard? ( !static )"
-
-src_prepare() {
- epatch "${FILESDIR}"/${P}-gpgsm-gencert.patch
-}
-
-src_configure() {
- local myconf=
-
- # 'USE=static' support was requested:
- # gnupg1: bug #29299
- # gnupg2: bug #159623
- use static && append-ldflags -static
-
- if use smartcard; then
- myconf+=" --enable-scdaemon $(use_enable usb ccid-driver)"
- else
- myconf+=" --disable-scdaemon"
- fi
-
- econf \
- --docdir="${EPREFIX}/usr/share/doc/${PF}" \
- --enable-gpg \
- --enable-gpgsm \
- --enable-agent \
- ${myconf} \
- $(use_with adns) \
- $(use_enable bzip2) \
- $(use_enable !elibc_SunOS symcryptrun) \
- $(use_enable nls) \
- $(use_enable ldap) \
- CC_FOR_BUILD="$(tc-getBUILD_CC)"
-}
-
-src_compile() {
- emake
-
- if use doc; then
- cd doc
- emake html
- fi
-}
-
-src_install() {
- emake DESTDIR="${D}" install
- emake DESTDIR="${D}" -f doc/Makefile uninstall-nobase_dist_docDATA
- rm -r "${ED}usr/share/gnupg/help"*
-
- dodoc ChangeLog NEWS README THANKS TODO VERSION doc/FAQ doc/DETAILS \
- doc/HACKING doc/TRANSLATE doc/OpenPGP doc/KEYSERVER doc/help*
-
- dosym gpg2 /usr/bin/gpg
- dosym gpgv2 /usr/bin/gpgv
- dosym gpg2keys_hkp /usr/libexec/gpgkeys_hkp
- dosym gpg2keys_finger /usr/libexec/gpgkeys_finger
- dosym gpg2keys_curl /usr/libexec/gpgkeys_curl
- if use ldap; then
- dosym gpg2keys_ldap /usr/libexec/gpgkeys_ldap
- fi
- echo ".so man1/gpg2.1" > "${ED}usr/share/man/man1/gpg.1"
- echo ".so man1/gpgv2.1" > "${ED}usr/share/man/man1/gpgv.1"
-
- dodir /etc/env.d
- echo "CONFIG_PROTECT=/usr/share/gnupg/qualified.txt" >>"${ED}etc/env.d/30gnupg"
-
- if use doc; then
- dohtml doc/gnupg.html/* doc/*.png
- fi
-}
-
-pkg_postinst() {
- elog "If you wish to view images emerge:"
- elog "media-gfx/xloadimage, media-gfx/xli or any other viewer"
- elog "Remember to use photo-viewer option in configuration file to activate"
- elog "the right viewer."
- elog
- if use smartcard; then
- elog "To use your OpenPGP smartcard (or token) with GnuPG you need one of"
- use usb && elog " - a CCID-compatible reader, used directly through libusb;"
- elog " - sys-apps/pcsc-lite and a compatible reader device;"
- elog " - dev-libs/openct and a compatible reader device;"
- elog " - a reader device and drivers exporting either PC/SC or CT-API interfaces."
- elog ""
- elog "General hint: you probably want to try installing sys-apps/pcsc-lite and"
- elog "app-crypt/ccid first."
- fi
-
- ewarn "Please remember to restart gpg-agent if a different version"
- ewarn "of the agent is currently used. If you are unsure of the gpg"
- ewarn "agent you are using please run 'killall gpg-agent',"
- ewarn "and to start a fresh daemon just run 'gpg-agent --daemon'."
-}
View
145 app-crypt/gnupg/gnupg-2.0.17-r3.ebuild
@@ -1,145 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/gnupg/gnupg-2.0.17-r3.ebuild,v 1.5 2012/05/31 03:13:18 zmedico Exp $
-
-EAPI="4"
-
-inherit eutils flag-o-matic toolchain-funcs
-
-DESCRIPTION="The GNU Privacy Guard, a GPL pgp replacement"
-HOMEPAGE="http://www.gnupg.org/"
-SRC_URI="mirror://gnupg/gnupg/${P}.tar.bz2"
-# SRC_URI="ftp://ftp.gnupg.org/gcrypt/${PN}/${P}.tar.bz2"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="adns bzip2 doc ldap nls static selinux smartcard usb"
-
-COMMON_DEPEND_LIBS="
- >=dev-libs/libassuan-2
- >=dev-libs/libgcrypt-1.4
- >=dev-libs/libgpg-error-1.7
- >=dev-libs/libksba-1.0.7
- >=dev-libs/pth-1.3.7
- >=net-misc/curl-7.10
- sys-libs/zlib
- adns? ( >=net-libs/adns-1.4 )
- bzip2? ( app-arch/bzip2 )
- smartcard? ( usb? ( =virtual/libusb-0* ) )
- ldap? ( net-nds/openldap )"
-COMMON_DEPEND_BINS="|| ( app-crypt/pinentry app-crypt/pinentry-qt )"
-
-# Existence of executables is checked during configuration.
-DEPEND="${COMMON_DEPEND_LIBS}
- ${COMMON_DEPEND_BINS}
- static? (
- >=dev-libs/libassuan-2[static-libs]
- >=dev-libs/libgcrypt-1.4[static-libs]
- >=dev-libs/libgpg-error-1.7[static-libs]
- >=dev-libs/libksba-1.0.7[static-libs]
- )
- nls? ( sys-devel/gettext )
- doc? ( sys-apps/texinfo )"
-
-RDEPEND="!static? ( ${COMMON_DEPEND_LIBS} )
- ${COMMON_DEPEND_BINS}
- virtual/mta
- !app-crypt/gpg-agent
- !<=app-crypt/gnupg-2.0.1
- selinux? ( sec-policy/selinux-gpg )
- nls? ( virtual/libintl )"
-
-REQUIRED_USE="smartcard? ( !static )"
-
-src_prepare() {
- epatch "${FILESDIR}"/${P}-gpgsm-gencert.patch
- epatch "${FILESDIR}"/${P}-libgrcrypt150-bugfix.patch
-}
-
-src_configure() {
- local myconf=
-
- # 'USE=static' support was requested:
- # gnupg1: bug #29299
- # gnupg2: bug #159623
- use static && append-ldflags -static
-
- if use smartcard; then
- myconf+=" --enable-scdaemon $(use_enable usb ccid-driver)"
- else
- myconf+=" --disable-scdaemon"
- fi
-
- econf \
- --docdir="${EPREFIX}/usr/share/doc/${PF}" \
- --enable-gpg \
- --enable-gpgsm \
- --enable-agent \
- ${myconf} \
- $(use_with adns) \
- $(use_enable bzip2) \
- $(use_enable !elibc_SunOS symcryptrun) \
- $(use_enable nls) \
- $(use_enable ldap) \
- CC_FOR_BUILD="$(tc-getBUILD_CC)"
-}
-
-src_compile() {
- emake
-
- if use doc; then
- cd doc
- emake html
- fi
-}
-
-src_install() {
- emake DESTDIR="${D}" install
- emake DESTDIR="${D}" -f doc/Makefile uninstall-nobase_dist_docDATA
- rm -r "${ED}usr/share/gnupg/help"*
-
- dodoc ChangeLog NEWS README THANKS TODO VERSION doc/FAQ doc/DETAILS \
- doc/HACKING doc/TRANSLATE doc/OpenPGP doc/KEYSERVER doc/help*
-
- dosym gpg2 /usr/bin/gpg
- dosym gpgv2 /usr/bin/gpgv
- dosym gpg2keys_hkp /usr/libexec/gpgkeys_hkp
- dosym gpg2keys_finger /usr/libexec/gpgkeys_finger
- dosym gpg2keys_curl /usr/libexec/gpgkeys_curl
- if use ldap; then
- dosym gpg2keys_ldap /usr/libexec/gpgkeys_ldap
- fi
- echo ".so man1/gpg2.1" > "${ED}usr/share/man/man1/gpg.1"
- echo ".so man1/gpgv2.1" > "${ED}usr/share/man/man1/gpgv.1"
-
- dodir /etc/env.d
- echo "CONFIG_PROTECT=/usr/share/gnupg/qualified.txt" >>"${ED}etc/env.d/30gnupg"
-
- if use doc; then
- dohtml doc/gnupg.html/* doc/*.png
- fi
-}
-
-pkg_postinst() {
- elog "If you wish to view images emerge:"
- elog "media-gfx/xloadimage, media-gfx/xli or any other viewer"
- elog "Remember to use photo-viewer option in configuration file to activate"
- elog "the right viewer."
- elog
- if use smartcard; then
- elog "To use your OpenPGP smartcard (or token) with GnuPG you need one of"
- use usb && elog " - a CCID-compatible reader, used directly through libusb;"
- elog " - sys-apps/pcsc-lite and a compatible reader device;"
- elog " - dev-libs/openct and a compatible reader device;"
- elog " - a reader device and drivers exporting either PC/SC or CT-API interfaces."
- elog ""
- elog "General hint: you probably want to try installing sys-apps/pcsc-lite and"
- elog "app-crypt/ccid first."
- fi
-
- ewarn "Please remember to restart gpg-agent if a different version"
- ewarn "of the agent is currently used. If you are unsure of the gpg"
- ewarn "agent you are using please run 'killall gpg-agent',"
- ewarn "and to start a fresh daemon just run 'gpg-agent --daemon'."
-}
View
143 app-crypt/gnupg/gnupg-2.0.17.ebuild
@@ -1,143 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/gnupg/gnupg-2.0.17.ebuild,v 1.13 2012/05/13 11:34:57 swift Exp $
-
-EAPI="3"
-
-inherit flag-o-matic toolchain-funcs
-
-DESCRIPTION="The GNU Privacy Guard, a GPL pgp replacement"
-HOMEPAGE="http://www.gnupg.org/"
-SRC_URI="mirror://gnupg/gnupg/${P}.tar.bz2"
-# SRC_URI="ftp://ftp.gnupg.org/gcrypt/${PN}/${P}.tar.bz2"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="adns bzip2 caps doc ldap nls openct pcsc-lite static selinux smartcard"
-
-COMMON_DEPEND_LIBS="
- >=dev-libs/libassuan-2
- >=dev-libs/libgcrypt-1.4
- >=dev-libs/libgpg-error-1.7
- >=dev-libs/libksba-1.0.7
- >=dev-libs/pth-1.3.7
- >=net-misc/curl-7.10
- sys-libs/zlib
- adns? ( >=net-libs/adns-1.4 )
- bzip2? ( app-arch/bzip2 )
- pcsc-lite? ( >=sys-apps/pcsc-lite-1.3.0 )
- openct? ( >=dev-libs/openct-0.5.0 )
- smartcard? ( =virtual/libusb-0* )
- ldap? ( net-nds/openldap )"
-COMMON_DEPEND_BINS="|| ( app-crypt/pinentry app-crypt/pinentry-qt )"
-
-# Existence of executables is checked during configuration.
-DEPEND="${COMMON_DEPEND_LIBS}
- ${COMMON_DEPEND_BINS}
- static? (
- >=dev-libs/libassuan-2[static-libs]
- >=dev-libs/libgcrypt-1.4[static-libs]
- >=dev-libs/libgpg-error-1.7[static-libs]
- >=dev-libs/libksba-1.0.7[static-libs]
- )
- nls? ( sys-devel/gettext )
- doc? ( sys-apps/texinfo )"
-
-RDEPEND="!static? ( ${COMMON_DEPEND_LIBS} )
- ${COMMON_DEPEND_BINS}
- virtual/mta
- !app-crypt/gpg-agent
- !<=app-crypt/gnupg-2.0.1
- selinux? ( sec-policy/selinux-gpg )
- nls? ( virtual/libintl )"
-
-pkg_setup() {
- if { use openct || use pcsc-lite; } && ! use smartcard; then
- ewarn "You have openct or pcsc-lite enabled but do not"
- ewarn "have smartcard support enabled. This will not affect"
- ewarn "the building of this package, but it may affect others."
- fi
-}
-
-src_configure() {
- local want_scdaemon="0"
- if use openct || use pcsc-lite || use smartcard; then
- want_scdaemon="1"
- fi
-
- # 'USE=static' support was requested:
- # gnupg1: bug #29299
- # gnupg2: bug #159623
- if use static; then
- append-ldflags -static
- # bug #219423
- if [[ "${want_scdaemon}" -eq 1 ]]; then
- die "Upstream explicitly disallows static builds when combining with smartcard support: http://www.mail-archive.com/gnupg-users@gnupg.org/msg10851.html"
- fi
- fi
-
- [[ "${want_scdaemon}" -eq 1 ]] && myconf="--enable-scdaemon" || myconf="--disable-scdaemon"
-
- econf \
- --docdir="${EPREFIX}/usr/share/doc/${PF}" \
- --enable-gpg \
- --enable-gpgsm \
- --enable-agent \
- ${myconf} \
- $(use_with adns) \
- $(use_enable bzip2) \
- $(use_enable !elibc_SunOS symcryptrun) \
- $(use_enable nls) \
- $(use_enable ldap) \
- $(use_with caps capabilities) \
- CC_FOR_BUILD="$(tc-getBUILD_CC)"
-}
-
-src_compile() {
- emake || die "emake failed"
-
- if use doc; then
- cd doc
- emake html || die "emake html failed"
- fi
-}
-
-src_install() {
- emake DESTDIR="${D}" install || die "emake install failed"
- emake DESTDIR="${D}" -f doc/Makefile uninstall-nobase_dist_docDATA || die
- rm -r "${ED}usr/share/gnupg/help"* || die
-
- dodoc ChangeLog NEWS README THANKS TODO VERSION doc/FAQ doc/DETAILS \
- doc/HACKING doc/TRANSLATE doc/OpenPGP doc/KEYSERVER doc/help* || die "dodoc failed"
-
- dosym gpg2 /usr/bin/gpg || die
- dosym gpgv2 /usr/bin/gpgv || die
- dosym gpg2keys_hkp /usr/libexec/gpgkeys_hkp || die
- dosym gpg2keys_finger /usr/libexec/gpgkeys_finger || die
- dosym gpg2keys_curl /usr/libexec/gpgkeys_curl || die
- if use ldap; then
- dosym gpg2keys_ldap /usr/libexec/gpgkeys_ldap || die
- fi
- echo ".so man1/gpg2.1" > "${ED}usr/share/man/man1/gpg.1"
- echo ".so man1/gpgv2.1" > "${ED}usr/share/man/man1/gpgv.1"
-
- dodir /etc/env.d || die
- echo "CONFIG_PROTECT=/usr/share/gnupg/qualified.txt" >>"${ED}etc/env.d/30gnupg"
-
- if use doc; then
- dohtml doc/gnupg.html/* doc/*.png || die "dohtml failed"
- fi
-}
-
-pkg_postinst() {
- elog "If you wish to view images emerge:"
- elog "media-gfx/xloadimage, media-gfx/xli or any other viewer"
- elog "Remember to use photo-viewer option in configuration file to activate"
- elog "the right viewer."
-
- ewarn "Please remember to restart gpg-agent if a different version"
- ewarn "of the agent is currently used. If you are unsure of the gpg"
- ewarn "agent you are using please run 'killall gpg-agent',"
- ewarn "and to start a fresh daemon just run 'gpg-agent --daemon'."
-}
View
148 app-crypt/gnupg/gnupg-2.0.18.ebuild
@@ -1,148 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/gnupg/gnupg-2.0.18.ebuild,v 1.9 2012/05/31 03:13:18 zmedico Exp $
-
-EAPI="4"
-
-inherit eutils flag-o-matic toolchain-funcs
-
-DESCRIPTION="The GNU Privacy Guard, a GPL pgp replacement"
-HOMEPAGE="http://www.gnupg.org/"
-SRC_URI="mirror://gnupg/gnupg/${P}.tar.bz2"
-# SRC_URI="ftp://ftp.gnupg.org/gcrypt/${PN}/${P}.tar.bz2"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="adns bzip2 doc ldap nls readline static selinux smartcard usb"
-
-COMMON_DEPEND_LIBS="
- >=dev-libs/libassuan-2
- >=dev-libs/libgcrypt-1.4
- >=dev-libs/libgpg-error-1.7
- >=dev-libs/libksba-1.0.7
- >=dev-libs/pth-1.3.7
- >=net-misc/curl-7.10
- sys-libs/zlib
- adns? ( >=net-libs/adns-1.4 )
- bzip2? ( app-arch/bzip2 )
- readline? ( sys-libs/readline )
- smartcard? ( usb? ( virtual/libusb:0 ) )
- ldap? ( net-nds/openldap )"
-COMMON_DEPEND_BINS="|| ( app-crypt/pinentry app-crypt/pinentry-qt )"
-
-# Existence of executables is checked during configuration.
-DEPEND="${COMMON_DEPEND_LIBS}
- ${COMMON_DEPEND_BINS}
- static? (
- >=dev-libs/libassuan-2[static-libs]
- >=dev-libs/libgcrypt-1.4[static-libs]
- >=dev-libs/libgpg-error-1.7[static-libs]
- >=dev-libs/libksba-1.0.7[static-libs]
- >=dev-libs/pth-1.3.7[static-libs]
- || ( sys-libs/zlib[static-libs] <sys-libs/zlib-1.2.5.1-r2 )
- )
- nls? ( sys-devel/gettext )
- doc? ( sys-apps/texinfo )"
-
-RDEPEND="!static? ( ${COMMON_DEPEND_LIBS} )
- ${COMMON_DEPEND_BINS}
- virtual/mta
- !app-crypt/gpg-agent
- !<=app-crypt/gnupg-2.0.1
- selinux? ( sec-policy/selinux-gpg )
- nls? ( virtual/libintl )"
-
-REQUIRED_USE="smartcard? ( !static )"
-
-src_prepare() {
- epatch "${FILESDIR}"/${PN}-2.0.17-gpgsm-gencert.patch
-}
-
-src_configure() {
- local myconf=
-
- # 'USE=static' support was requested:
- # gnupg1: bug #29299
- # gnupg2: bug #159623
- use static && append-ldflags -static
-
- if use smartcard; then
- myconf+=" --enable-scdaemon $(use_enable usb ccid-driver)"
- else
- myconf+=" --disable-scdaemon"
- fi
-
- econf \
- --docdir="${EPREFIX}/usr/share/doc/${PF}" \
- --enable-gpg \
- --enable-gpgsm \
- --enable-agent \
- ${myconf} \
- $(use_with adns) \
- $(use_enable bzip2) \
- $(use_enable !elibc_SunOS symcryptrun) \
- $(use_enable nls) \
- $(use_enable ldap) \
- $(use_with readline) \
- CC_FOR_BUILD="$(tc-getBUILD_CC)"
-}
-
-src_compile() {
- emake
-
- if use doc; then
- cd doc
- emake html
- fi
-}
-
-src_install() {
- emake DESTDIR="${D}" install
- emake DESTDIR="${D}" -f doc/Makefile uninstall-nobase_dist_docDATA
- rm -r "${ED}usr/share/gnupg/help"*
-
- dodoc ChangeLog NEWS README THANKS TODO VERSION doc/FAQ doc/DETAILS \
- doc/HACKING doc/TRANSLATE doc/OpenPGP doc/KEYSERVER doc/help*
-
- dosym gpg2 /usr/bin/gpg
- dosym gpgv2 /usr/bin/gpgv
- dosym gpg2keys_hkp /usr/libexec/gpgkeys_hkp
- dosym gpg2keys_finger /usr/libexec/gpgkeys_finger
- dosym gpg2keys_curl /usr/libexec/gpgkeys_curl
- if use ldap; then
- dosym gpg2keys_ldap /usr/libexec/gpgkeys_ldap
- fi
- echo ".so man1/gpg2.1" > "${ED}usr/share/man/man1/gpg.1"
- echo ".so man1/gpgv2.1" > "${ED}usr/share/man/man1/gpgv.1"
-
- dodir /etc/env.d
- echo "CONFIG_PROTECT=/usr/share/gnupg/qualified.txt" >>"${ED}etc/env.d/30gnupg"
-
- if use doc; then
- dohtml doc/gnupg.html/* doc/*.png
- fi
-}
-
-pkg_postinst() {
- elog "If you wish to view images emerge:"
- elog "media-gfx/xloadimage, media-gfx/xli or any other viewer"
- elog "Remember to use photo-viewer option in configuration file to activate"
- elog "the right viewer."
- elog
- if use smartcard; then
- elog "To use your OpenPGP smartcard (or token) with GnuPG you need one of"
- use usb && elog " - a CCID-compatible reader, used directly through libusb;"
- elog " - sys-apps/pcsc-lite and a compatible reader device;"
- elog " - dev-libs/openct and a compatible reader device;"
- elog " - a reader device and drivers exporting either PC/SC or CT-API interfaces."
- elog ""
- elog "General hint: you probably want to try installing sys-apps/pcsc-lite and"
- elog "app-crypt/ccid first."
- fi
-
- ewarn "Please remember to restart gpg-agent if a different version"
- ewarn "of the agent is currently used. If you are unsure of the gpg"
- ewarn "agent you are using please run 'killall gpg-agent',"
- ewarn "and to start a fresh daemon just run 'gpg-agent --daemon'."
-}
View
9 app-crypt/gnupg/metadata.xml
@@ -8,15 +8,6 @@
restrictions. GnuPG is a RFC2440 (OpenPGP) compliant application.
</longdescription>
<use>
- <flag name='idea'>Add support for the IDEA algorithm</flag>
- <flag name='openct'>
- Bring in <pkg>dev-libs/openct</pkg> as a dependency; enable
- scdaemon.
- </flag>
- <flag name='pcsc-lite'>
- Bring in <pkg>sys-apps/pcsc-lite</pkg> as a dependency; enable
- scdaemon.
- </flag>
<flag name='smartcard' restrict='&lt;app-crypt/gnupg-2.0.17-r1'>
Bring in <pkg>dev-libs/libusb</pkg> as a dependency; enable
scdaemon.
View
3  app-emacs/mew/Manifest
@@ -1,3 +1,2 @@
-DIST mew-6.2.tar.gz 972731 SHA256 9838a1c2556d75f6dae954cd9869fe6cf81998f89108c9318c638dffc36d8f78 SHA512 5972d1a4bfd779129b044f2bec73774eb328c7bfa380d17b064bfe5056537450c43da26ee1f2bf270f7ec011512939c4b5b5135aba8df690c7ef16453f68b660 WHIRLPOOL 7ce602e0561ff63c2301c092250d3d390b2b73d4be12c935fe0ab30da74c8ddcdb1230c31e01aef507c6b91fd26776877f9d61f2a4ac24b6f22be2946c0e5cb2
-DIST mew-6.3.tar.gz 976352 SHA256 9c4ea66bb04a2c11809c6a1d77fc560e8823749c7a0855fdcb890945f95a57d4 SHA512 ca3191721e5f192874d525dceac63ee76a9e62742a07b79f22ed88070f46ac11855134486f213d265b6d0c4e27279643f266ea030d29287cd9ceeaf3a3884a9c WHIRLPOOL a318d7e92bbdfe77f22021b30724c203faa290d8996a032eedf9afc1da2bf9fd96d7041277275df6236f1e0df5b54eb632b17e52e1f944d7c37c69cc5ffe2eda
DIST mew-6.4.tar.gz 1025983 SHA256 9d0de3eb0cebfac51fa136d134e2f887d5f76d18bf09a607b1b30b481b419e34 SHA512 ddbef224c69fc28efedebb4c3ba4bcbdb2545b3c9090f3640419caa001b730cb8bc34947d949b99e0a2e246a2e69af69bd17cf75d76b4cd745c7764162c5bccd WHIRLPOOL 8459837f0e360516338552083f306ee53d36fddd57b73ad9a7141d6d7cb140e58be0ada863b418d0357758efc399918cdda4d95bf7dc12fb2507f515feca7aaa
+DIST mew-6.5.tar.gz 1026322 SHA256 f198b35c2a4cc1c082aaad8f6ccede80ed93d559aed0f66ee2c00c05f8394128 SHA512 481c55915e57889e7b8c6d27c3d21802b624a886eb8f6541c2997db4d5328e16c3b5a8c9a9ce09637b1779b8c52af86a8662ee30dfbab0a411a586d4679ac69e WHIRLPOOL 218fc42969fa4581c9fb43a9a1c65c67d83faf3ebced8ccd1e95c9b43a542753623cfebd14e042e2a21c29b8eca7bee930b306b9919fca6d249901def54bd5b5
View
48 app-emacs/mew/mew-6.2.ebuild
@@ -1,48 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emacs/mew/mew-6.2.ebuild,v 1.7 2012/03/18 17:46:12 armin76 Exp $
-
-inherit elisp
-
-DESCRIPTION="Great MIME mail reader for Emacs/XEmacs"
-HOMEPAGE="http://www.mew.org/"
-SRC_URI="http://www.mew.org/Release/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 ppc x86"
-IUSE="ssl linguas_ja"
-RESTRICT="test"
-
-DEPEND="sys-libs/zlib"
-RDEPEND="${DEPEND}
- ssl? ( net-misc/stunnel )"
-
-SITEFILE="50${PN}-gentoo.el"
-
-src_compile() {
- econf \
- --with-elispdir=${SITELISP}/${PN} \
- --with-etcdir=${SITEETC}/${PN}
- emake || die "emake failed"
-
- if use linguas_ja; then
- emake jinfo || die "emake jinfo failed"
- fi
-}
-
-src_install() {
- emake DESTDIR="${D}" install || die "emake install failed"
-
- if use linguas_ja; then
- emake DESTDIR="${D}" install-jinfo || die "emake install-jinfo failed"
- fi
-
- elisp-site-file-install "${FILESDIR}/${SITEFILE}" || die
- dodoc 00api 00changes* 00diff 00readme mew.dot.* || die "dodoc failed"
-}
-
-pkg_postinst() {
- elisp-site-regen
- elog "Please refer to /usr/share/doc/${PF} for sample configuration files."
-}
View
31 app-emacs/mew/mew-6.3.ebuild → app-emacs/mew/mew-6.5.ebuild
@@ -1,6 +1,8 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emacs/mew/mew-6.3.ebuild,v 1.6 2012/03/18 17:46:12 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emacs/mew/mew-6.5.ebuild,v 1.1 2013/01/13 22:22:21 fauli Exp $
+
+EAPI=4
inherit elisp
@@ -10,7 +12,7 @@ SRC_URI="http://www.mew.org/Release/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~ppc x86"
+KEYWORDS="~amd64 ~ppc ~x86"
IUSE="ssl linguas_ja"
RESTRICT="test"
@@ -20,27 +22,24 @@ RDEPEND="${DEPEND}
SITEFILE="50${PN}-gentoo.el"
-src_compile() {
+src_configure() {
econf \
- --with-elispdir=${SITELISP}/${PN} \
- --with-etcdir=${SITEETC}/${PN}
- emake || die
+ --with-elispdir="${SITELISP}/${PN}" \
+ --with-etcdir="${SITEETC}/${PN}"
+}
- if use linguas_ja; then
- emake jinfo || die
- fi
+src_compile() {
+ emake
+ use linguas_ja && emake jinfo
rm -f info/*~ # remove spurious backup files
}
src_install() {
- emake DESTDIR="${D}" install || die
-
- if use linguas_ja; then
- emake DESTDIR="${D}" install-jinfo || die
- fi
+ emake DESTDIR="${D}" install
+ use linguas_ja && emake DESTDIR="${D}" install-jinfo
elisp-site-file-install "${FILESDIR}/${SITEFILE}" || die
- dodoc 00api 00changes* 00diff 00readme mew.dot.* || die
+ dodoc 00api 00changes* 00diff 00readme dot.*
}
pkg_postinst() {
View
1  app-forensics/libewf/Manifest
@@ -1,3 +1,4 @@
DIST libewf-20100226.tar.gz 801413 SHA256 aedd2a6b3df6525ff535ab95cd569ebb361a4022eb4163390f26257913c2941a SHA512 6f8d053cd08ff699149e4f88d4d9a74d11e70f3ad73da17ec4c21d83254f2262657f8515b7bc3305074b3ad08e0be715ca0ee9b1c3a0e0f0cd832091f1650766 WHIRLPOOL 58bc62f5523c6a0d0dd9e299f697bdfa725ff95234389e5cef264004bb3462760938dbe65bc8603dfd610fdfe61d3ccbd9a96aa6dad28e49095e4a14865e7ab7
DIST libewf-20120813.tar.gz 1556190 SHA256 a127713185b11f9387a0b0ae2f7bb56d3bfbc9550c3411509ef081b5bbee5c9c SHA512 ba459a92b78c71a42e985b67666ba1cd15d41c9156109f51626983e43976cb11730f53d2c2c30f332905d9f95c19b5adba7ec1d5cb2e2f24ee80be93e2c25ff4 WHIRLPOOL 533a30fc60d791103b7cd024b62411e322556ad37d1636c2f46622db28d4d796368de7903b2f98abb74fd9766fe3c4d6a1b5538d22262275bf20d81ec62f37ae
DIST libewf-20121209.tar.gz 1533967 SHA256 1a10c8ec2b4ed756e9becff49c5596c455702444b5ecde9d9943143cf46c5c9c SHA512 fd350a856650e74177526c7e8e1ab8219b05dd6d60439e8ed26fe3970d0c0503925a7f7b02555c7aab5d661f2a8ba016e5aaa694b2869f9d71a8a64a3945074d WHIRLPOOL 86149b7abe4ee04d58cbc30672f4f03c6a5cc0705cd49f38ae105ab20545f564cc7f91b3a460de5216e644ba64d5c174758aa440a54f4fe21ffe215401217898
+DIST libewf-20130105.tar.gz 1534184 SHA256 ea7397872942717ee307766b204651aa545fdbb0d3191ebf0bed98f34eddd50a SHA512 ce396c6badb29eaac04cf08e107fce5d3a89ccad62a283327ab66d332bc6c6b4a6eed30eaeb86f935702e6a3451bf6adb1ca7b03de904e822ace6b060a509091 WHIRLPOOL 1abb3e7ec234c7256c19a2beea2ffeb4d59d0f61b8f7f58468fc7d60482023bea521041ff706bdbdd454a5be66339808deafa34c2bcc64292f621225fff45afe
View
48 app-forensics/libewf/libewf-20121209-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-forensics/libewf/libewf-20121209-r1.ebuild,v 1.1 2013/01/14 05:39:32 radhermit Exp $
+
+EAPI="5"
+
+inherit autotools-utils
+
+DESCRIPTION="Implementation of the EWF (SMART and EnCase) image format"
+HOMEPAGE="http://libewf.sourceforge.net"
+SRC_URI="mirror://sourceforge/libewf/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~x86"
+# upstream bug #2597171, pyewf has implicit declarations
+#IUSE="debug python rawio unicode"
+IUSE="debug ewf +fuse rawio +ssl static-libs +uuid unicode"
+
+DEPEND="
+ sys-libs/zlib
+ fuse? ( sys-fs/fuse )
+ uuid? ( sys-apps/util-linux )
+ ssl? ( dev-libs/openssl )"
+RDEPEND="${DEPEND}"
+
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+DOCS=( AUTHORS ChangeLog NEWS README documents/header.txt documents/header2.txt )
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable debug debug-output)
+ $(use_enable debug verbose-output)
+ $(use_enable ewf v1-api)
+ $(use_enable rawio low-level-functions)
+ $(use_enable unicode wide-character-type)
+ $(use_with ssl openssl)
+ $(use_with uuid libuuid)
+ $(use_with fuse libfuse)
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install
+ doman manuals/*.1 manuals/*.3
+}
View
48 app-forensics/libewf/libewf-20130105.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-forensics/libewf/libewf-20130105.ebuild,v 1.1 2013/01/14 05:47:36 radhermit Exp $
+
+EAPI="5"
+
+inherit autotools-utils
+
+DESCRIPTION="Implementation of the EWF (SMART and EnCase) image format"
+HOMEPAGE="http://code.google.com/p/libewf/"
+SRC_URI="http://libewf.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~x86"
+# upstream bug #2597171, pyewf has implicit declarations
+#IUSE="debug python rawio unicode"
+IUSE="debug ewf +fuse rawio +ssl static-libs +uuid unicode"
+
+DEPEND="
+ sys-libs/zlib
+ fuse? ( sys-fs/fuse )
+ uuid? ( sys-apps/util-linux )
+ ssl? ( dev-libs/openssl )"
+RDEPEND="${DEPEND}"
+
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+DOCS=( AUTHORS ChangeLog NEWS README documents/header.txt documents/header2.txt )
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable debug debug-output)
+ $(use_enable debug verbose-output)
+ $(use_enable ewf v1-api)
+ $(use_enable rawio low-level-functions)
+ $(use_enable unicode wide-character-type)
+ $(use_with ssl openssl)
+ $(use_with uuid libuuid)
+ $(use_with fuse libfuse)
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install
+ doman manuals/*.1 manuals/*.3
+}
View
2  app-forensics/libewf/metadata.xml
@@ -6,5 +6,7 @@
<flag name="rawio">Enables raw IO handling</flag>
<flag name="ewf2">Enables the v2 API</flag>
<flag name="ewf">Enables the v1 API</flag>
+ <flag name="fuse">Enable fuse support for ewfmount</flag>
+ <flag name="uuid">Enable UUID support in the ewftools</flag>
</use>
</pkgmetadata>
View
4 app-misc/mc/mc-4.8.7.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/mc/mc-4.8.7.ebuild,v 1.10 2013/01/07 22:22:03 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-misc/mc/mc-4.8.7.ebuild,v 1.11 2013/01/13 19:34:37 armin76 Exp $
EAPI=4
@@ -14,7 +14,7 @@ SRC_URI="http://www.midnight-commander.org/downloads/${MY_P}.tar.xz"
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
IUSE="+edit gpm mclib nls samba sftp +slang spell test X +xdg"
REQUIRED_USE="spell? ( edit )"
View
20 app-misc/wyrd/files/ocaml4.patch
@@ -0,0 +1,20 @@
+Index: wyrd-1.4.5/configure.ac
+===================================================================
+--- wyrd-1.4.5.orig/configure.ac
++++ wyrd-1.4.5/configure.ac
+@@ -61,6 +61,7 @@ echo "ocaml library path is $OCAMLLIB"
+ # check for sufficient OCAMLVERSION
+ OCAMLMAJORVERSION=`echo $OCAMLVERSION | cut -d '.' -f 1`
+ OCAMLMINORVERSION=`echo $OCAMLVERSION | cut -d '.' -f 2`
++if test $OCAMLMAJORVERSION -lt 4 ; then
+ if test $OCAMLMAJORVERSION -lt 3 ; then
+ AC_MSG_ERROR(Wyrd requires OCaml version 3.08 or greater.)
+ else
+@@ -68,6 +69,7 @@ else
+ AC_MSG_ERROR(Wyrd requires OCaml version 3.08 or greater.)
+ fi
+ fi
++fi
+
+
+ # then we look for ocamlopt; if not present, we issue a warning
View
11 app-misc/wyrd/wyrd-1.4.5.ebuild
@@ -1,9 +1,11 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/wyrd/wyrd-1.4.5.ebuild,v 1.2 2012/07/29 17:16:50 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-misc/wyrd/wyrd-1.4.5.ebuild,v 1.3 2013/01/13 21:40:20 aballier Exp $
EAPI=4
+inherit eutils autotools
+
DESCRIPTION="Text-based front-end to Remind"
HOMEPAGE="http://pessimization.com/software/wyrd/"
SRC_URI="http://pessimization.com/software/wyrd/${P}.tar.gz"
@@ -21,6 +23,11 @@ DEPEND="${RDEPEND}
>=dev-lang/ocaml-3.08
"
+src_prepare() {
+ epatch "${FILESDIR}/ocaml4.patch"
+ eautoreconf
+}
+
src_configure() {
econf \
$(use_enable unicode utf8)
View
3  app-office/geierlein/Manifest
@@ -1,3 +1,2 @@
-DIST geierlein-0.3.4.tar.gz 792953 SHA256 04b4c79a66810348dfd8d97c8cbb7504a4a1d24c3b9e0d3b9b095ee85294ab0f SHA512 f791e53d9953f4ca1fca1b38b09ba996ac5705e51374a5e256878b3d29637e15f49f562dac2f5110328413308ec15c4eb82492e1d3d48949c8613921c8144f13 WHIRLPOOL 463a715eb628b7bc632d921a194a21890e7f90066347cbeb860395578746c0dbefec27ebd7b306c9439a0205c4bec6797aa385488c1bbc832a318f2eff3a2bf5
-DIST geierlein-0.4.0.tar.xz 630364 SHA256 f7ab1cf992b1aaff9b3c21584301508c31cf3c939df30ea609eb84d5554f1491 SHA512 f96bc5d4a367a35c36eef9e6e839ea27b37362de17833ec74b083f151f30b5969a7d8f415fa385574e1637230a1620b7f09ba3960c6af3ac7e77e8ac96cdd45b WHIRLPOOL 97f49af98f32302cfc00a151df065a18f5c4983e685624d3a389e9aa9d7cac85ad5a819ea3a6558481dbd36fa0f2df6b49bf1663a9fdcc0591e0c51331b0659a
DIST geierlein-0.4.1.tar.gz 805387 SHA256 8f036ce307d4693827b3ccfc3634da37f7841ba2efada74a2b8ccdff4d26cc95 SHA512 2844b1fe4b219936a028cb53d16638487629a49545c15467391c85eb23dd4924ef1ddd52f79ded82eb1cdf0551cff507ac122b4448ccdb3c49249577b5011c6c WHIRLPOOL bb18cebc35b8e6c78a65976c63cdb781dd840ebc539ccbb792bd05394761f6dae2d065a15851b4a760f2ff26f6312cbc12afbfd848a1e296ef93db6b493e924c
+DIST geierlein-0.4.2.tar.gz 804902 SHA256 3df2b8c9f708cfc6e2d490c22c283a99b12add86fe529ab826a896f66bd5fc9b SHA512 963d42e3a5344fc1681adeea6b92fed8d623b8c80d2c317f0eecddcd1edcbfe3b94bb7f1f62e2f97039a52e69bb8b3a9cfdd370682d1bc22a9ea8889debaae21 WHIRLPOOL b180ff0999fb7a9faa04e0a31772541d8d4dd397542b173e7ea0b512f2e37dc7425f93a84ad7dc6261e7a415cfe845328950a5aa888a51e83014005acd40cec1
View
26 app-office/geierlein/geierlein-0.3.4.ebuild
@@ -1,26 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/geierlein/geierlein-0.3.4.ebuild,v 1.1 2012/10/01 21:24:40 hanno Exp $
-
-EAPI=4
-
-DESCRIPTION="Submit tax forms (Umsatzsteuervoranmeldung) to the german digital tax project ELSTER."
-HOMEPAGE="http://stesie.github.com/geierlein/"
-SRC_URI="https://github.com/downloads/stesie/geierlein/${P}.tar.gz"
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-RDEPEND="www-client/firefox"
-DEPEND=""
-
-# needs nodejs and a couple of modules we don't have packaged
-RESTRICT="test"
-
-src_install() {
- emake \
- DESTDIR="${D}" \
- prefix=/usr \
- install || die
- dodoc README.md
-}
View
8 app-office/geierlein/geierlein-0.4.0.ebuild → app-office/geierlein/geierlein-0.4.2.ebuild
@@ -1,12 +1,12 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/geierlein/geierlein-0.4.0.ebuild,v 1.1 2012/10/14 16:54:08 hanno Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/geierlein/geierlein-0.4.2.ebuild,v 1.1 2013/01/13 23:15:29 hanno Exp $
-EAPI=4
+EAPI=5
DESCRIPTION="Submit tax forms (Umsatzsteuervoranmeldung) to the german digital tax project ELSTER."
HOMEPAGE="http://stesie.github.com/geierlein/"
-SRC_URI="https://github.com/downloads/stesie/geierlein/${P}.tar.xz"
+SRC_URI="https://github.com/stesie/geierlein/archive/V${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
View
1  app-office/lyx/Manifest
@@ -1,4 +1,5 @@
DIST lyx-1.6.10.tar.bz2 12559454 SHA256 dcfb6fc0f6880e706d45ea16459ed2206265179f3882b4685e4955c18adaf569 SHA512 c6d3f18f555e45ef86e22f42f7c8727ad0e1ad2cc4cbf87557f3ef235d894d46c5a87fc5923e2c02a5d9ba342389bf213af156a12c17e3b5f2308b9602b182dc WHIRLPOOL 0543590df1cc353fee939fee83db55aa146418c36c9422faa07cf9a1723002b83deb92f7ff89d49abb4144fe62d0fcf917257c07aaeb0d6e016b39393a8ab542
DIST lyx-2.0.1.tar.xz 10119588 SHA256 a58b7e0f27afce0497fffec0d19fc95fb1b3ac36818e8d02ecaf9e882c8f3852 SHA512 5c73aab353aedd3093b718f566453bff7725c41040e8f0dc4ded2989bd7db7bde46a8ce19751d6bc3aa4f37c91fb10369adc7d384a294e4983637ffa782b74b8 WHIRLPOOL c916784962396df2efb469294972b2d87a9d3ac83961258098d5fb87be55b03336cbcef5f1d4f3b033d3bbd9c4ab8f3a51d0fd2846626490374dc057563f5d12
DIST lyx-2.0.4.tar.xz 10280308 SHA256 68317ba1c19fb372823421f967acd349033341acf521d96afa58991f7efded8c SHA512 8c07a5489787e1cd43f10fa1596649b4e4d8d071fbedfcef33890eded08a8327b89a8a500d8baba13cde8d9030534a329a3f90b54ab87d902761e15aacb72cf8 WHIRLPOOL 2937aefa6c222c63ccdb3b1277db0724740bbb5824e949cf5592199ed940aac076cf5f2f5dadb84730554c850145c5cc1e74338bc796dc98f99f0297c0f164ca
+DIST lyx-2.0.5.1.tar.xz 10312232 SHA256 36e527765daf8425fef83240a6ccb82472b2d9e6283de666c5d46c40fec269a2 SHA512 1fbabe7e5c9d752a510cb11e23df2be4a3ada21dc73820fa885693fbc7aa7623f694a37fbfccc82b550b32257ed455f05201fc0d57682af9dc70b5d60b4d1c4c WHIRLPOOL e22641888ae0267f88b112dfb702498e6f882adada5b386258e5fbb892b1de13dd839e4a1bab7a9e4d271aa6015424895d56e19fd9d8ffda08f1a54614e6dc17
DIST lyx-2.0.5.tar.xz 10314440 SHA256 d39aada3390a0468b354ec1703f12734bdfe56b08baa7950373748745313fb02 SHA512 15490c9433997231baf841dc45c8697a80b40d1b190d2e5e2e84ab4f17377928458e8217a236653ec53c693bb6e1070e30e0dfcfbb3d1de9f3f3d9af3ae09a39 WHIRLPOOL 95762a73c6c730d27a81ac9291ce4b5ece35ae2c070c41c78800313836126f0763fe1494fb5525930ea90bfa035e3030756218d7da372b06c9e47c498a6c4291
View
178 app-office/lyx/lyx-2.0.5.1.ebuild
@@ -0,0 +1,178 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-office/lyx/lyx-2.0.5.1.ebuild,v 1.1 2013/01/13 19:20:07 aballier Exp $
+
+EAPI=3
+
+PYTHON_DEPEND="2"
+
+inherit gnome2-utils qt4-r2 eutils flag-o-matic font python toolchain-funcs
+
+MY_P="${P/_}"
+
+S="${WORKDIR}/${MY_P}"
+FONT_S="${S}/lib/fonts"
+FONT_SUFFIX="ttf"
+DESCRIPTION="WYSIWYM frontend for LaTeX, DocBook, etc."
+HOMEPAGE="http://www.lyx.org/"
+SRC_URI="ftp://ftp.lyx.org/pub/lyx/stable/2.0.x/${P}.tar.xz"
+#SRC_URI="ftp://ftp.lyx.org/pub/lyx/devel/lyx-2.0/rc3/${MY_P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x64-macos ~x86-macos"
+IUSE="cups debug nls +latex xetex luatex monolithic-build html rtf dot docbook dia subversion rcs svg gnumeric +hunspell aspell enchant"
+
+LANGS="ar ca cs de da el en es eu fi fr gl he hu ia id it ja nb nn pl pt ro ru sk sr sv tr uk zh_CN zh_TW"
+
+for X in ${LANGS}; do
+ IUSE="${IUSE} linguas_${X}"
+done
+
+COMMONDEPEND="x11-libs/qt-gui:4
+ x11-libs/qt-core:4
+ >=dev-libs/boost-1.34"
+
+RDEPEND="${COMMONDEPEND}
+ dev-texlive/texlive-fontsextra
+ || ( media-gfx/imagemagick[png] media-gfx/graphicsmagick[png] )
+ cups? ( net-print/cups )
+ latex? (
+ virtual/latex-base
+ app-text/ghostscript-gpl
+ app-text/noweb
+ app-text/dvipng
+ dev-tex/dvipost
+ dev-tex/chktex
+ app-text/ps2eps
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-pictures
+ dev-texlive/texlive-science
+ dev-texlive/texlive-genericextra
+ dev-texlive/texlive-fontsrecommended
+ || (
+ dev-tex/latex2html
+ dev-tex/tth
+ dev-tex/hevea
+ dev-tex/tex4ht
+ )
+ )
+ xetex? ( dev-texlive/texlive-xetex )
+ luatex? ( >=dev-texlive/texlive-luatex-2010 )
+ html? ( dev-tex/html2latex )
+ rtf? (
+ dev-tex/latex2rtf
+ app-text/unrtf
+ dev-tex/html2latex
+ )
+ linguas_he? ( dev-tex/culmus-latex )
+ docbook? ( app-text/sgmltools-lite )
+ dot? ( media-gfx/graphviz )
+ dia? ( app-office/dia )
+ subversion? ( <dev-vcs/subversion-1.7.0 )
+ rcs? ( dev-vcs/rcs )
+ svg? ( || ( media-gfx/imagemagick[svg] media-gfx/graphicsmagick[svg] )
+ || ( gnome-base/librsvg media-gfx/inkscape )
+ )
+ gnumeric? ( app-office/gnumeric )
+ hunspell? ( app-text/hunspell )
+ aspell? ( app-text/aspell )
+ enchant? ( app-text/enchant )"
+
+DEPEND="${COMMONDEPEND}
+ sys-devel/bc
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )"
+
+pkg_setup() {
+ python_set_active_version 2
+ font_pkg_setup
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/2.0-python.patch
+ echo "#!/bin/sh" > config/py-compile
+ sed "s:python -tt:$(PYTHON) -tt:g" -i lib/configure.py || die
+}
+
+src_configure() {
+ tc-export CXX
+ #bug 221921
+ export VARTEXFONTS=${T}/fonts
+
+ econf \
+ $(use_enable nls) \
+ $(use_enable debug) \
+ $(use_enable monolithic-build) \
+ $(use_with hunspell) \
+ $(use_with aspell) \
+ $(use_with enchant) \
+ --without-included-boost \
+ --disable-stdlib-debug \
+ --with-packaging=posix
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ dodoc ANNOUNCE NEWS README RELEASE-NOTES UPGRADING "${FONT_S}"/*.txt || die
+
+ if use linguas_he ; then
+ echo "\bind_file cua" > "${T}"/hebrew.bind
+ echo "\bind \"F12\" \"language hebrew\"" >> "${T}"/hebrew.bind
+
+ insinto /usr/share/lyx/bind
+ doins "${T}"/hebrew.bind || die
+ fi
+
+ newicon -s 32 "$S/development/Win32/packaging/icons/lyx_32x32.png" ${PN}.png
+ make_desktop_entry ${PN} "LyX" "${PN}" "Office" "MimeType=application/x-lyx;"
+
+ # fix for bug 91108
+ if use latex ; then
+ dosym ../../../lyx/tex /usr/share/texmf/tex/latex/lyx || die
+ fi
+
+ # fonts needed for proper math display, see also bug #15629
+ font_src_install
+
+ python_convert_shebangs -r 2 "${ED}"/usr/share/${PN}
+
+ if use hunspell ; then
+ dosym /usr/share/myspell /usr/share/lyx/dicts
+ dosym /usr/share/myspell /usr/share/lyx/thes
+ fi
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ font_pkg_postinst
+ gnome2_icon_cache_update
+
+ # fix for bug 91108
+ if use latex ; then
+ texhash
+ fi
+
+ # instructions for RTL support. See also bug 168331.
+ if use linguas_he || use linguas_ar; then
+ elog
+ elog "Enabling RTL support in LyX:"
+ elog "If you intend to use a RTL language (such as Hebrew or Arabic)"
+ elog "You must enable RTL support in LyX. To do so start LyX and go to"
+ elog "Tools->Preferences->Language settings->Language"
+ elog "and make sure the \"Right-to-left language support\" is checked"
+ elog
+ fi
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+
+ if use latex ; then
+ texhash
+ fi
+}
View
1  app-portage/fquery/Manifest
@@ -0,0 +1 @@
+DIST fquery-0.2.1.4.tar.gz 13229 SHA256 e19ba8bff5414f990fbcc4852fcefc59cad25de02d1114737e32f19499833764 SHA512 bead28fa66b053ce13d6622dd93a212ad99a9183b0caafb36d5a594b529f6a14102305e0fd22197f7b5bfe47126f3e230efd3886fedbbfa223e075e69ee8edd9 WHIRLPOOL 785697f7fb381d13cf588067365f6a17de09ddf59b400017a45c4870042075ff9c44a4530fcb8c0f2fbd1082bb366d18c8e8a2da034a200500e7ee334182313d
View
27 app-portage/fquery/fquery-0.2.1.4.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/fquery/fquery-0.2.1.4.ebuild,v 1.1 2013/01/13 20:09:43 slyfox Exp $
+
+EAPI=5
+
+# ebuild generated by hackport 0.3.2.9999
+
+CABAL_FEATURES="bin"
+inherit haskell-cabal
+
+DESCRIPTION="Installed package query tool for Gentoo Linux"
+HOMEPAGE="http://hackage.haskell.org/package/fquery"
+SRC_URI="mirror://hackage/packages/archive/${PN}/${PV}/${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ >=dev-haskell/cabal-1.6
+ dev-haskell/extensible-exceptions
+ dev-haskell/parsec
+ dev-haskell/regex-compat
+ >=dev-lang/ghc-6.10.4"
View
11 app-portage/fquery/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>haskell</herd>
+ <maintainer>
+ <email>haskell@gentoo.org</email>
+ </maintainer>
+ <longdescription>
+ A fast replacement for equery
+ </longdescription>
+</pkgmetadata>
View
1  app-text/xmlstarlet/Manifest
@@ -8,3 +8,4 @@ DIST xmlstarlet-1.2.1.tar.gz 383678 SHA256 ac63b75c6175d37f1097d1d9b257adffb7e00
DIST xmlstarlet-1.3.0.tar.gz 385520 SHA256 81ebdcd81cd44f908d85fc5fb3acf9dd174eb48ef866f826fbd6afbf25f31343 SHA512 2d7f5e358e02616a603ead0ae1b66c7c4d3bb3930bc11dcd26142cf582a07eb6c2ffc7ea28fc939cd7ca144d47d6436920a7d21a1016ce26bdd7d9ae4a0ff3a6 WHIRLPOOL cd1a4f2181e8605c13e99f932fe9cddf105eca9e8f988b472fe47b0a1aa5c8ba331bb3cbedd0a71af9eee377c2d483f9953a9a5862b6f43e8aaf679746c352a6
DIST xmlstarlet-1.3.1.tar.gz 385752 SHA256 effe9aba3f8003d1da2b07aa54af4f3b5956bd09f061c499442415278425885b SHA512 617ab0f295e5414520d90dc6cbfe40c2ad084d0450fd1922a2b9467ed3be849e2f83c52a998a247eab78ddb2206b4ce35c7c0b1c40ce67c197e7a5dc23b34090 WHIRLPOOL 31c6e16d6d409d9acbe2ac8ce31827cf0916ef182741302c3c323e8f84a8a0ba5de2c28f95d1e732dd69a9ecbd2dca6636d3b75f6a9d94617ebfdfe98366384a
DIST xmlstarlet-1.4.0.tar.gz 401812 SHA256 abd29bcc826c3efb5e2dacd0378fc87457b1a37c5496cfad423cff740bf1feea SHA512 e4b5800c538b01102122e88a75a4edff1510483f52eaaf777a3ceacbe2703d894893323cee28d16af974d0e6491ed1a53df073eecd0f7bdce044c96296cca9f8 WHIRLPOOL 5381f9ed9696103a1b6d6b9cf13ab00acebcc1ab431b67b08657af051e926222f73920559e71151d91e5411d427e3b328729faa1f185a5e28d9d463f4ccd8635
+DIST xmlstarlet-1.4.2.tar.gz 407336 SHA256 e3d7dc273aa2e2516d3ae3fb6fcc0aba446f1a63ef944d52e01023b76cab9e5d SHA512 4e29825b503212d3dd436b892bdedd371af65dabbcdc1b0ff09dfe440fd3031c5c8c3a9b69903bd196c62ff944d9f91fe556354df6b90b990fbf6ad72be4ad33 WHIRLPOOL 05fe647cf14eebcd8c33bde5d7cfb116dcbdc2478b83fc88364cb720aceba9d871c49a7a04b3420ce4162b75c31f376fbffd6f42877d07a43aa3e4f0d51344cd
View
40 app-text/xmlstarlet/xmlstarlet-1.4.2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-text/xmlstarlet/xmlstarlet-1.4.2.ebuild,v 1.1 2013/01/14 02:59:42 sping Exp $
+
+EAPI="4"
+
+DESCRIPTION="A set of tools to transform, query, validate, and edit XML documents"
+HOMEPAGE="http://xmlstar.sourceforge.net/"
+SRC_URI="mirror://sourceforge/xmlstar/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE=""
+
+RDEPEND=">=dev-libs/libxml2-2.6.27
+ >=dev-libs/libxslt-1.1.9
+ dev-libs/libgcrypt
+ virtual/libiconv"
+
+DEPEND="${RDEPEND}
+ sys-apps/sed"
+
+src_configure() {
+ # NOTE: Fully built documentation is already shipped with the tarball:
+ # - doc/xmlstarlet-ug.{pdf,ps,html}
+ # - doc/xmlstarlet.txt
+ # - doc/xmlstarlet.1
+ econf \
+ --docdir=/usr/share/doc/${PF} \
+ --disable-build-docs \
+ --disable-static-libs \
+ --disable-silent-rules
+}
+
+src_install() {
+ default
+
+ dosym xml /usr/bin/xmlstarlet
+}
View
1  app-vim/bash-support/Manifest
@@ -1,2 +1,3 @@
DIST bash-support-3.10.tar.bz2 85356 SHA256 fbba4f1e903cbdff8b9bb94281ff9652415b081c4362fdadc4589475ce1cca12 SHA512 5038ce4cbc0bc1b71681525063c3a9e1423bea2b76e5197f5e2120b13e650bd59c49854841b0bc9c33c88b35c9ef44ef1b6829c0ed7fbac0ff8d5cc1f5a0aaed WHIRLPOOL 01108256de987b9ce8b2791369fd59718ae2d2abbd6dd17fad6c99245f8c7bab225ceead99275a7adc3230aec31f7e7370cfebd1907f885989d5eb8740a22ab2
+DIST bash-support-3.12.tar.bz2 84647 SHA256 029754c033c3a0e4583d21c1888e19a6b5e982f1eff8d9dec1c540652a571452 SHA512 5c4b778482be34fe9e60389dd6ee94c4db7c067ae5a4d8c00a3dcfd831fbb3e32073f05826b43687536b7dcb892df8f12ba6732fb723e418e12870058a0b1eb5 WHIRLPOOL b36daa58ddb86a9df82628d5906151d5b2a62545f4daaefba08bf48ccf909b52885835b262a44df9f16169511856c78cdce51d9276da4e4b17cce3a8b5e41dc7
DIST bash-support-3.8.tar.gz 95983 SHA256 93a9a2c40c60b832352202a44da2a97c152b870c9321300264aaaaf5cd7f2231 SHA512 e11c4d1aefe3081ece4181d68a35e9f132cab0b55abe9459524cf7c78c5cc9de0bb32d1afcfd08ca555288ddb0c794585e274ebc545bdbc35e44fdaf1a4f89dd WHIRLPOOL f27eec6f03d8c6b33ff2fcadd63dc5bba34c8d5c36be50374fb176e35face1948acd3e22c5cb9bdf9ef40042925764f9e4d19b3c43f902ded1da69158d56fa79
View
22 app-vim/bash-support/bash-support-3.12.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-vim/bash-support/bash-support-3.12.ebuild,v 1.1 2013/01/13 19:20:37 radhermit Exp $
+
+EAPI=5
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: Bash-IDE - Write and run bash scripts using menus and hotkeys"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=365"
+LICENSE="public-domain"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+VIM_PLUGIN_HELPFILES="${PN}"
+
+src_install() {
+ dodoc ${PN}/doc/{ChangeLog,bash-hot-keys.pdf}
+ rm -rf ${PN}/doc
+
+ vim-plugin_src_install
+}
View
1  app-vim/c-support/Manifest
@@ -1,2 +1,3 @@
DIST c-support-5.16.1.tar.gz 126671 SHA256 b0c6e3d58c163358c5f4956847c7a86947e5d030c15f6127f305d5617e508d13 SHA512 e1d5d6df9d543ce9ffbdecc1582503e22d56009a2384699f168df86faf7dcd00d96de92132a74f0a584f902ad0fd6ad329bfb437a4ed84a497225cd5b1795398 WHIRLPOOL ba73c91f50380aef9363e6caf3aa24ae75579a3a2fe54590fd06987a21095a2a2a580f600c82776f3149d16cf8d156ca8270140af4149ba5601dfbf6e3adbd03
DIST c-support-5.19.tar.bz2 113324 SHA256 843bdb7b3802eb3dc6ad94607e31f3045b4a6a8fb791752c7654534994b8741c SHA512 2a23dc84591c8d3c9777a285940402c8daccd7b6eaecb04b281713ef444738169d7f0130cce27dae6dd3f1f2a27cb56ab6c21eb6b007d7e0f82cd2f64801c77a WHIRLPOOL 87e08c0e11c5302290cb2df1693e9304a1050a5f802ca300b037082d1289927be7ab24fd4d13b6270c20348c50dcd1bbe9696f5bd53d1ea65f28d57cf715c084
+DIST c-support-6.0.tar.bz2 130832 SHA256 8dfb9c283967906f3a1c6d251a7d4734b58debc6da6ed4fdb0788c526492ed72 SHA512 280e8e91b8961ad856524f1869ecd580870ccbb6064c02aefdd5cec7f55a7bf12a17c76a4de91c8d2a7fed25bd96e793909f7cc258b9664f295e1324e0b392da WHIRLPOOL 5743eec9901453007a65d056cfa061f23d6f4326338071ec38748590202d81988b4699c3329d58f94334434f4506ba34b87273618e806efa2484b8ec93e83b08
View
22 app-vim/c-support/c-support-6.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-vim/c-support/c-support-6.0.ebuild,v 1.1 2013/01/13 19:23:45 radhermit Exp $
+
+EAPI="5"
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: C/C++-IDE -- Write and run programs using menus and hotkeys"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=213"
+LICENSE="public-domain"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+VIM_PLUGIN_HELPFILES="${PN}"
+
+src_install() {
+ dodoc ${PN}/doc/{ChangeLog,c-hotkeys.pdf}
+ rm -r ${PN}/doc || die
+
+ vim-plugin_src_install
+}
View
1  app-vim/sleuth/Manifest
@@ -0,0 +1 @@
+DIST sleuth-1.0.tar.bz2 1839 SHA256 8b5dd0c7254766a4a873abf0b8c8998eb9f57c2526164672426a3ba1f547ea40 SHA512 19fb158a28bfa02e7364208f11911d0afcda77f4a35a410202b0342130e48b99b52db56aa687b2484ba0ac9595970ae040c349e7a0fd350f07c40b6b58d43a13 WHIRLPOOL 9d7df8812ba68af3f735e45e7af64d260b34a05d4c43e31ed7bad7ad037bf9e9682a9547330b1a1bc599e727f86b26c165ce442143ea33ec7ef40008d3b1ee60
View
5 app-vim/sleuth/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>vim</herd>
+</pkgmetadata>
View
15 app-vim/sleuth/sleuth-1.0.ebuild
@@ -0,0 +1,15 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-vim/sleuth/sleuth-1.0.ebuild,v 1.1 2013/01/13 18:41:05 radhermit Exp $
+
+EAPI="5"
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: heuristically set buffer options"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=4375 https://github.com/tpope/vim-sleuth"
+LICENSE="vim"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+VIM_PLUGIN_HELPFILES="${PN}"
View
1  app-vim/voom/Manifest
@@ -0,0 +1 @@
+DIST voom-4.6.tar.bz2 108007 SHA256 c81b6c1f425ea49aea342a949c8fb45ee659f8f301913f7097b4afe9ce6cf543 SHA512 a29cf58f22edf0e6b1f381f703fea443fd4719262ae507a871f70b7a2aad9c4771642d7024c61fb809876e6c9779d901308cfa63e229c99801127a74883fcbba WHIRLPOOL d68b4efcefa194f12642f702acd659c0f6d212a18369492603e19ffe6a421310523bbce843e54553f96039b2ac1b750cc52836b83548f0973266eb416f36f3f1
View
5 app-vim/voom/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>vim</herd>
+</pkgmetadata>
View
17 app-vim/voom/voom-4.6.ebuild
@@ -0,0 +1,17 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-vim/voom/voom-4.6.ebuild,v 1.1 2013/01/13 19:04:02 radhermit Exp $
+
+EAPI="5"
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: emulates a two-pane text outliner"
+HOMEPAGE="http://vim-voom.github.com/ http://www.vim.org/scripts/script.php?script_id=2657"
+LICENSE="WTFPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+VIM_PLUGIN_HELPFILES="${PN}.txt"
+
+RDEPEND="|| ( app-editors/vim[python] app-editors/gvim[python] )"
View
4 dev-embedded/bitbake/bitbake-1.17.0.ebuild
@@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-embedded/bitbake/bitbake-1.17.0.ebuild,v 1.2 2013/01/05 08:56:59 radhermit Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-embedded/bitbake/bitbake-1.17.0.ebuild,v 1.3 2013/01/14 04:06:32 radhermit Exp $
EAPI="5"
PYTHON_COMPAT=( python{2_5,2_6,2_7} )
-PYTHON_USE="sqlite"
+PYTHON_REQ_USE="sqlite"
inherit distutils-r1 vcs-snapshot
View
4 dev-embedded/bitbake/bitbake-9999.ebuild
@@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-embedded/bitbake/bitbake-9999.ebuild,v 1.12 2013/01/05 08:56:59 radhermit Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-embedded/bitbake/bitbake-9999.ebuild,v 1.13 2013/01/14 04:07:33 radhermit Exp $